%%
%%% ite.cls (pLaTeX2e)
%%   for the Journal of the Institute of Image Information 
%%    and Television Engineers 
%%     by Motoaki Sato (ULS and Company), 2003-2012
%%     E-mail: teppei@uls.co.jp, http://www.uls.co.jp/
%%%
\NeedsTeXFormat{pLaTeX2e}
\ProvidesClass{ite}
%%[2003/07/22 v1.0 for ITE]
%%  [2012/10/10 v1.1 for ITE]
%%  [2013/07/02 v2 for ITE]% revised by K. Ogawa NHK
%%  [2014/12/02 v3 for ITE]% revised by K. Ogawa NHK
  [2015/04/22 v3.1 for ITE]% revised by K. Ogawa NHK

\newif\if@usejistfm \@usejistfmfalse
\DeclareOption{usejistfm}{\@usejistfmtrue}

\def\ite@warning{\ClassWarningNoLine{ite}}
\def\iteline@warning{\ClassWarning{ite}}

\newdimen\@JQ
 \@JQ=0.7392507pt
\newdimen\@Q
 \@Q=0.71144pt
\newdimen\@EM
 \@EM=.03125em

\newif\if@english\@englishfalse
\DeclareOption{english}{\@englishtrue}
\newif\if@paper\@papertrue
\DeclareOption{paper}{\@papertrue}
\newif\if@corr\@corrfalse
\DeclareOption{correspondence}{\@corrtrue\@paperfalse}
\newif\if@short\@shortfalse
\DeclareOption{shortpaper}{\@shorttrue\@paperfalse}
\newif\if@lecture\@lecturefalse
\DeclareOption{lecture}{\@lecturetrue\@paperfalse}

\newif\if@Proof \@Prooffalse
\DeclareOption{Proof}{\@Prooftrue}
\newif\if@cameraready \@camerareadyfalse
\DeclareOption{cameraready}{\@camerareadytrue}

\newcounter{@paper}
\newcommand{\@ptsize}{}
\newif\if@restonecol
%%% for 2.1.4 and non pLaTeX2e compatibility
\@ifundefined{hour}{}{%
 \hour\time \divide\hour by 60\relax
 \@tempcnta\hour \multiply\@tempcnta 60\relax
 \minute\time \advance\minute-\@tempcnta
}
%\newif\if@stysize \@stysizefalse
\newif\if@enablejfam \@enablejfamtrue
\newif\if@mathrmmc \@mathrmmcfalse
\DeclareOption{a4paper}{\setcounter{@paper}{1}%
  \setlength\paperheight {297mm}%
  \setlength\paperwidth  {210mm}}
\DeclareOption{10pt}{\renewcommand{\@ptsize}{0}}
\DeclareOption{11pt}{\renewcommand{\@ptsize}{1}}
\DeclareOption{12pt}{\renewcommand{\@ptsize}{2}}
\DeclareOption{tombow}{%
  \tombowtrue \tombowdatetrue
  \setlength{\@tombowwidth}{.1\p@}%
  \@bannertoken{%
     \jobname\space:\space\number\year/\number\month/\number\day
      (\number\hour:\number\minute)}
  \maketombowbox}
\DeclareOption{tombo}{%
  \tombowtrue \tombowdatefalse
  \setlength{\@tombowwidth}{.1\p@}%
  \maketombowbox}
\DeclareOption{mentuke}{%
  \tombowtrue \tombowdatefalse
  \setlength{\@tombowwidth}{\z@}%
  \maketombowbox}
\DeclareOption{tate}{%
  \AtBeginDocument{\tate\message{scg[ht}%
                   \adjustbaseline}%
}
\DeclareOption{oneside}{\@twosidefalse}
\DeclareOption{twoside}{\@twosidetrue}
\DeclareOption{onecolumn}{\@twocolumnfalse}
\DeclareOption{twocolumn}{\@twocolumntrue}
\DeclareOption{leqno}{\input{leqno.clo}}
\DeclareOption{fleqn}{% \input{fleqn.clo}
 \ite@warning{fleqn is incorporated into this class file}}
\DeclareOption{openbib}{%
  \AtEndOfPackage{%
   \renewcommand\@openbib@code{%
      \advance\leftmargin\bibindent
      \itemindent -\bibindent
      \listparindent \itemindent
      \parsep \z@
      }%
   \renewcommand\newblock{\par}}}
\DeclareOption{disablejfam}{\@enablejfamfalse}
\DeclareOption{draft}{\setlength\overfullrule{5pt}}
\DeclareOption{final}{\setlength\overfullrule{0pt}}
\ExecuteOptions{a4paper,10pt,twoside,twocolumn,final}
\ProcessOptions\relax

\if@usejistfm
\DeclareFontShape{JY1}{mc}{m}{n}{%
  <5>     sfixed * [5.1748] jis %  7Q
  <6>     sfixed * [5.9141] jis %  8Q
  <7>     sfixed * [7.3926] jis % 10Q
  <8>     sfixed * [8.1318] jis % 11Q
  <9>     sfixed * [8.8711] jis % 12Q
  <10>    sfixed * [9.6104] jis % 13Q
  <10.95> sfixed * [11.089] jis % 15Q
  <12>    sfixed * [13.307] jis % 18Q
  <14.4>  sfixed * [14.785] jis % 20Q
  <17.28> sfixed * [17.742] jis % 24Q
  <20.74> sfixed * [20.699] jis % 28Q
  <24.88> sfixed * [23.656] jis % 32Q
  <->                       jis % 14Q, 16Q, 36Q, and so on
}{}
\DeclareFontShape{JY1}{mc}{bx}{n}{%
  <5>     sfixed * [5.1748] jisg
  <6>     sfixed * [5.9141] jisg
  <7>     sfixed * [7.3926] jisg
  <8>     sfixed * [8.1318] jisg
  <9>     sfixed * [8.8711] jisg
  <10>    sfixed * [9.6104] jisg
  <10.95> sfixed * [11.089] jisg
  <12>    sfixed * [13.307] jisg
  <14.4>  sfixed * [14.785] jisg
  <17.28> sfixed * [17.742] jisg
  <20.74> sfixed * [20.699] jisg
  <24.88> sfixed * [23.656] jisg
  <->                       jisg
}{}
\DeclareFontShape{JY1}{gt}{m}{n}{%
  <5>     sfixed * [5.1748] jisg
  <6>     sfixed * [5.9141] jisg
  <7>     sfixed * [7.3926] jisg
  <8>     sfixed * [8.1318] jisg
  <9>     sfixed * [8.8711] jisg
  <10>    sfixed * [9.6104] jisg
  <10.95> sfixed * [11.089] jisg
  <12>    sfixed * [13.307] jisg
  <14.4>  sfixed * [14.785] jisg
  <17.28> sfixed * [17.742] jisg
  <20.74> sfixed * [20.699] jisg
  <24.88> sfixed * [23.656] jisg
  <->                       jisg
}{}
\DeclareFontShape{JY1}{gt}{bx}{n}{%
  <5>     sfixed * [5.1748] jisg
  <6>     sfixed * [5.9141] jisg
  <7>     sfixed * [7.3926] jisg
  <8>     sfixed * [8.1318] jisg
  <9>     sfixed * [8.8711] jisg
  <10>    sfixed * [9.6104] jisg
  <10.95> sfixed * [11.089] jisg
  <12>    sfixed * [13.307] jisg
  <14.4>  sfixed * [14.785] jisg
  <17.28> sfixed * [17.742] jisg
  <20.74> sfixed * [20.699] jisg
  <24.88> sfixed * [23.656] jisg
  <->                       jisg
}{}
\else
\DeclareFontShape{JY1}{mc}{m}{n}{%
  <5>     sfixed * [5.1748] min5  %  7Q
  <6>     sfixed * [5.9141] min6  %  8Q
  <7>     sfixed * [7.3926] min7  % 10Q
  <8>     sfixed * [8.1318] min8  % 11Q
  <9>     sfixed * [8.8711] min9  % 12Q
  <10>    sfixed * [9.6104] min10 % 13Q
  <10.95> sfixed * [11.089] min10 % 15Q
  <12>    sfixed * [13.307] min10 % 18Q
  <14.4>  sfixed * [14.785] min10 % 20Q
  <17.28> sfixed * [17.742] min10 % 24Q
  <20.74> sfixed * [20.699] min10 % 28Q
  <24.88> sfixed * [23.656] min10 % 32Q
  <->                       min10 % 14Q, 16Q, 36Q, and so on
}{}
\DeclareFontShape{JY1}{mc}{bx}{n}{%
  <5>     sfixed * [5.1748] goth5
  <6>     sfixed * [5.9141] goth6
  <7>     sfixed * [7.3926] goth7
  <8>     sfixed * [8.1318] goth8
  <9>     sfixed * [8.8711] goth9
  <10>    sfixed * [9.6104] goth10
  <10.95> sfixed * [11.089] goth10
  <12>    sfixed * [13.307] goth10
  <14.4>  sfixed * [14.785] goth10
  <17.28> sfixed * [17.742] goth10
  <20.74> sfixed * [20.699] goth10
  <24.88> sfixed * [23.656] goth10
  <->                       goth10
}{}
\DeclareFontShape{JY1}{gt}{m}{n}{%
  <5>     sfixed * [5.1748] goth5
  <6>     sfixed * [5.9141] goth6
  <7>     sfixed * [7.3926] goth7
  <8>     sfixed * [8.1318] goth8
  <9>     sfixed * [8.8711] goth9
  <10>    sfixed * [9.6104] goth10
  <10.95> sfixed * [11.089] goth10
  <12>    sfixed * [13.307] goth10
  <14.4>  sfixed * [14.785] goth10
  <17.28> sfixed * [17.742] goth10
  <20.74> sfixed * [20.699] goth10
  <24.88> sfixed * [23.656] goth10
  <->                       goth10
}{}
\DeclareFontShape{JY1}{gt}{bx}{n}{%
  <5>     sfixed * [5.1748] goth5
  <6>     sfixed * [5.9141] goth6
  <7>     sfixed * [7.3926] goth7
  <8>     sfixed * [8.1318] goth8
  <9>     sfixed * [8.8711] goth9
  <10>    sfixed * [9.6104] goth10
  <10.95> sfixed * [11.089] goth10
  <12>    sfixed * [13.307] goth10
  <14.4>  sfixed * [14.785] goth10
  <17.28> sfixed * [17.742] goth10
  <20.74> sfixed * [20.699] goth10
  <24.88> sfixed * [23.656] goth10
  <->                       goth10
}{}
\fi

%%% JY1 it
\DeclareFontShape{JY1}{mc}{m}{it}{<->ssub*mc/m/n}{}
\DeclareFontShape{JY1}{mc}{bx}{it}{<->ssub*gt/m/n}{}
\DeclareFontShape{JY1}{gt}{m}{it}{<->ssub*gt/m/n}{}
\DeclareFontShape{JY1}{gt}{bx}{it}{<->ssub*gt/m/n}{}
%
\DeclareFontShape{JY1}{mc}{b}{it}{<->ssub*mc/m/n}{}
\DeclareFontShape{JY1}{mc}{eb}{it}{<->ssub*mc/m/n}{}
\DeclareFontShape{JY1}{gt}{b}{it}{<->ssub*mc/m/n}{}
\DeclareFontShape{JY1}{gt}{eb}{it}{<->ssub*mc/m/n}{}
\DeclareFontShape{JY1}{gt}{ub}{it}{<->ssub*mc/m/n}{}
%%% JT1 it
\DeclareFontShape{JT1}{mc}{m}{it}{<->ssub*mc/m/n}{}
\DeclareFontShape{JT1}{mc}{bx}{it}{<->ssub*gt/m/n}{}
\DeclareFontShape{JT1}{gt}{m}{it}{<->ssub*gt/m/n}{}
\DeclareFontShape{JT1}{gt}{bx}{it}{<->ssub*gt/m/n}{}
%
\DeclareFontShape{JT1}{mc}{b}{it}{<->ssub*mc/m/n}{}
\DeclareFontShape{JT1}{mc}{eb}{it}{<->ssub*mc/m/n}{}
\DeclareFontShape{JT1}{gt}{b}{it}{<->ssub*mc/m/n}{}
\DeclareFontShape{JT1}{gt}{eb}{it}{<->ssub*mc/m/n}{}
\DeclareFontShape{JT1}{gt}{ub}{it}{<->ssub*mc/m/n}{}
%%% sc
\DeclareFontShape{JY1}{mc}{m}{sc}{<->ssub*mc/m/n}{}
\DeclareFontShape{JT1}{mc}{m}{sc}{<->ssub*mc/m/n}{}

%%% /usr/local/teTeX/share/texmf/tex/latex/base/ot1cmr.fd
\DeclareFontShape{OT1}{cmr}{m}{n}%
     {%
      <-6>cmr5%
      <6-7>cmr6%
      <7-8>cmr7%
      <8-9>cmr8%
      <9-10>cmr9%
      <10-12>cmr10%
      <12-17>cmr12%
      <17->cmr17%
      }{}
\DeclareFontShape{OT1}{cmr}{m}{sl}%
     {%
      <-9>cmsl8%
      <9-10>cmsl9%
      <10-12>cmsl10%
      <12->cmsl12%
      }{}
\DeclareFontShape{OT1}{cmr}{m}{it}%
     {%
      <-8>cmti7%
      <8-9>cmti8%
      <9-10>cmti9%
      <10-12>cmti10%
      <12->cmti12%
      }{}
\DeclareFontShape{OT1}{cmr}{m}{sc}%
     {%
      <->cmcsc10%
      }{}
\DeclareFontShape{OT1}{cmr}{m}{ui}
     {%
      <->cmu10%
      }{}
\DeclareFontShape{OT1}{cmr}{b}{n}
     {%
      <->cmb10%
      }{}
\DeclareFontShape{OT1}{cmr}{bx}{n}
     {%
      <-6>cmbx5%
      <6-7>cmbx6%
      <7-8>cmbx7%
      <8-9>cmbx8%
      <9-10>cmbx9%
      <10-12>cmbx10%
      <12->cmbx12%
      }{}
\DeclareFontShape{OT1}{cmr}{bx}{sl}
     {%
      <->cmbxsl10%
      }{}
\DeclareFontShape{OT1}{cmr}{bx}{it}
     {%
      <->cmbxti10%
      }{}
\DeclareFontShape{OT1}{cmr}{bx}{ui}
     {%
      <->sub*cmr/m/ui
      }{}

\renewcommand{\normalsize}{%
  \@setfontsize\normalsize\@xpt{5.25mm}%
%% \abovedisplayskip 10\p@ \@plus2\p@ \@minus5\p@
%% \abovedisplayshortskip \z@ \@plus3\p@
%% \belowdisplayshortskip 6\p@ \@plus3\p@ \@minus3\p@
%% \belowdisplayskip \abovedisplayskip
  \abovedisplayskip .5\Cvs \@plus .25\Cvs \@minus .15\Cvs
  \abovedisplayshortskip \z@ \@plus 1\p@
  \belowdisplayshortskip .3\Cvs \@plus .15\Cvs \@minus .1\Cvs
  \belowdisplayskip \abovedisplayskip
 \let\@listi\@listI
}

\normalsize
\setbox0\hbox{\char\euc"A1A1}% "
\setlength\Cht{\ht0}
\setlength\Cdp{\dp0}
\setlength\Cwd{\wd0}
\setlength\Cvs{\baselineskip}
\setlength\Chs{\wd0}

\newcommand{\Small}{\@setfontsize\Small\@ixpt{5mm}}

\newcommand{\small}{%
  \@setfontsize\small\@viiipt{5mm}%
%% \abovedisplayskip 8.5\p@ \@plus3\p@ \@minus4\p@
%% \abovedisplayshortskip \z@ \@plus2\p@
%% \belowdisplayshortskip 4\p@ \@plus2\p@ \@minus2\p@
  \abovedisplayskip .5\baselineskip
   \@plus .25\baselineskip \@minus .15\baselineskip
  \abovedisplayshortskip \z@ \@plus 1\p@
  \belowdisplayshortskip .3\baselineskip
   \@plus .15\baselineskip \@minus .1\baselineskip
  \def\@listi{\leftmargin\leftmargini
              \topsep .5\baselineskip
               \@plus .25\baselineskip \@minus .15\baselineskip
              \parsep \z@
              \itemsep \parsep}%
  \belowdisplayskip \abovedisplayskip
}

\newcommand{\footnotesize}{%
  \@setfontsize\footnotesize\@viipt{3.5mm}%
%% \abovedisplayskip 6\p@ \@plus2\p@ \@minus4\p@
%% \abovedisplayshortskip \z@ \@plus\p@
%% \belowdisplayshortskip 3\p@ \@plus\p@ \@minus2\p@
  \abovedisplayskip .5\baselineskip
   \@plus .25\baselineskip \@minus .15\baselineskip
  \abovedisplayshortskip \z@ \@plus 1\p@
  \belowdisplayshortskip .3\baselineskip
   \@plus .15\baselineskip \@minus .1\baselineskip
  \def\@listi{\leftmargin\leftmargini
              \topsep .5\baselineskip
               \@plus .25\baselineskip \@minus .15\baselineskip
              \parsep \z@
              \itemsep \parsep}%
  \belowdisplayskip \abovedisplayskip
}

\newcommand{\scriptsize}{\@setfontsize\scriptsize\@vipt{7}}
\newcommand{\tiny}{\@setfontsize\tiny\@vpt\@vipt}
\newcommand{\large}{\@setfontsize\large\@xiipt{5mm}}
\newcommand{\Large}{\@setfontsize\Large\@xivpt{5.5mm}}
\newcommand{\LARGE}{\@setfontsize\LARGE\@xviipt{8mm}}
\newcommand{\huge}{\@setfontsize\huge\@xxpt{28}}
\newcommand{\Huge}{\@setfontsize\Huge\@xxvpt{33}}

\headheight\z@
\headsep\z@
\topskip1\Cht
\footskip6.5mm
\maxdepth .5\topskip
\textwidth175.5mm % (26x2+26H)x13Q
%\@settopoint\textwidth
\textheight 48\Cvs
\advance \textheight \topskip
\advance \textheight .25mm % limit=.183mm
%\@settopoint\textheight
\if@twocolumn
 \setlength\marginparsep{5mm}
\else
 \setlength\marginparsep{5mm}
\fi
\setlength\marginparpush{5\p@}

%\iftombow
 \topmargin\paperheight
 \advance \topmargin -\textheight
 \advance \topmargin -\headheight
 \advance \topmargin -\headsep
%\advance \topmargin -\footskip
 \divide \topmargin \tw@
 \advance \topmargin -1in
 %\@settopoint\topmargin
 \oddsidemargin\paperwidth
 \advance \oddsidemargin -\textwidth
 \divide \oddsidemargin \tw@
 \advance \oddsidemargin -1in
 %\@settopoint\oddsidemargin
 \evensidemargin\oddsidemargin
 %\@settopoint\evensidemargin
%\fi

\marginparwidth 20mm
%\@settopoint\marginparwidth

\footnotesep2.45mm % 14H x 0.7
\skip\footins .75\Cvs \@plus 5.15mm \@minus 2mm
\floatsep 1\Cvs \@plus 2\p@ \@minus 2\p@
\textfloatsep 1.5\Cvs \@plus 2\p@ \@minus 4\p@
\intextsep 1.5\Cvs \@plus 2\p@ \@minus 2\p@
\dblfloatsep 1\Cvs \@plus 2\p@ \@minus 2\p@
\dbltextfloatsep 1.5\Cvs \@plus 2\p@ \@minus 4\p@

\@fptop 0\p@ \@plus 1fil
\@fpsep 8\p@ \@plus 2fil
\@fpbot 0\p@ \@plus 1fil
\@dblfptop 0\p@ \@plus 1fil
\@dblfpsep 8\p@ \@plus 2fil
\@dblfpbot 0\p@ \@plus 1fil
\partopsep \z@

\def\@listi{\leftmargin\leftmargini
%  \parsep  4\p@ \@plus2\p@ \@minus\p@
%  \topsep  8\p@ \@plus2\p@ \@minus4\p@
%  \itemsep 4\p@ \@plus2\p@ \@minus\p@
  \topsep.5\Cvs \@plus .25\Cvs \@minus .15\Cvs
  \parsep\z@ %% 2\p@ \@plus\p@ \@minus\p@
  \itemsep\parsep
}
\let\@listI\@listi
\@listi
\def\@listii{\leftmargin\leftmarginii
   \labelwidth\leftmarginii \advance\labelwidth-\labelsep
   \topsep 4\p@ \@plus2\p@ \@minus\p@
   \parsep 2\p@ \@plus\p@  \@minus\p@
   \itemsep\parsep}
\def\@listiii{\leftmargin\leftmarginiii
   \labelwidth\leftmarginiii \advance\labelwidth-\labelsep
   \topsep    2\p@  \@plus\p@\@minus\p@
   \parsep    \z@
   \partopsep \p@ \@plus\z@ \@minus\p@
   \itemsep\topsep}
\def\@listiv {\leftmargin\leftmarginiv
              \labelwidth\leftmarginiv
              \advance\labelwidth-\labelsep}
\def\@listv  {\leftmargin\leftmarginv
              \labelwidth\leftmarginv
              \advance\labelwidth-\labelsep}
\def\@listvi {\leftmargin\leftmarginvi
              \labelwidth\leftmarginvi
              \advance\labelwidth-\labelsep}

\columnsep2zw
\columnseprule0\p@
\lineskip1\p@ 
\normallineskip1\p@
\renewcommand{\baselinestretch}{}
\parskip\z@
\parindent1zw

\@lowpenalty   51
\@medpenalty  151
\@highpenalty 301
\setcounter{topnumber}{5}
\setcounter{bottomnumber}{5}
\setcounter{totalnumber}{10}
\setcounter{dbltopnumber}{5}
\renewcommand{\topfraction}{.95}
\renewcommand{\bottomfraction}{.95}
\renewcommand{\textfraction}{.05}
\renewcommand{\floatpagefraction}{.05}
\renewcommand{\dbltopfraction}{.95}
\renewcommand{\dblfloatpagefraction}{.05}

\if@Proof
 \def\@Rtop{\rlap{\smash{\rule[-\headsep]{0.05mm}{10mm}%
  \rule[-\headsep]{10mm}{0.05mm}}}}
 \def\@Ltop{\llap{\smash{\rule[-\headsep]{10mm}{0.05mm}%
  \rule[-\headsep]{0.05mm}{10mm}}}}
 \def\@Rbot{\rlap{\smash{\raisebox{1\footskip}
  {\rule[-10mm]{0.05mm}{10mm}\rule{10mm}{0.05mm}}}}}
 \def\@Lbot{\llap{\smash{\raisebox{1\footskip}
  {\rule{10mm}{0.05mm}\rule[-10mm]{0.05mm}{10mm}}}}}
\else
 \let\@Rtop\relax\let\@Ltop\relax\let\@Rbot\relax\let\@Lbot\relax
\fi

\def\nombre@font{\Small\normalfont}
\def\volpage@font{\Small\sffamily}
\def\foot@font{\footnotesize\sffamily\gtfamily}

\def\ps@plain{%
 \let\@mkboth\@gobbletwo
 \def\@oddhead{\@Ltop\hfil\@Rtop}%
 \let\@evenhead\@oddhead
 \def\@oddfoot{\@Lbot\hfil
  {\nombre@font (\fmt@pagenum{\thepage})}\hskip2.5mm
  {\volpage@font \output@volpage}\hskip3.25mm
  \@Rbot}%
 \def\@evenfoot{\@Lbot\hskip3.25mm
  {\volpage@font \output@volpage}\hskip2.5mm
  {\nombre@font (\fmt@pagenum{\thepage})}\hfil
  \@Rbot}%
}

\def\ps@empty{\let\@mkboth\@gobbletwo
 \def\@oddhead{\@Ltop\hfil\@Rtop}%
 \let\@evenhead\@oddhead
 \def\@oddfoot{\@Lbot\hfil\@Rbot}%
 \let\@evenfoot\@oddfoot
}

\def\ps@ite{\let\@mkboth\@gobbletwo
 \def\@oddhead{\@Ltop\hfil\@Rtop}%
 \let\@evenhead\@oddhead
 \def\@oddfoot{\@Lbot\hskip3.25mm
  \foot@font f񃁃fBAw
  Vol.\,\@Vol\unskip, No.\,\@No\unskip, pp.\,\output@volpage\kern0pt
   `\kern0pt\ite@lastpage\hskip2mm
    (\@Year)\hfil
  {\nombre@font (\fmt@pagenum{\thepage})}\hskip2.5mm
  {\volpage@font \output@volpage}\hskip3.25mm
  \@Rbot}%
 \def\@evenfoot{\@Lbot\hskip3.25mm
  {\volpage@font \output@volpage}\hskip2.5mm
  {\nombre@font (\fmt@pagenum{\thepage})}\hfil
  \foot@font f񃁃fBAw
  Vol.\,\@Vol\unskip, No.\,\@No\unskip, pp.\,\output@volpage\kern0pt
   `\kern0pt\ite@lastpage\hskip2mm
    (\@Year)\hskip3.25mm
  \@Rbot}%
}

\def\ps@ITE{\let\@mkboth\@gobbletwo
 \def\@oddhead{\@Ltop\hfil\@Rtop}%
 \let\@evenhead\@oddhead
 \def\@oddfoot{\@Lbot\hskip3.25mm
  \foot@font{\bfseries \foot@type\kern.25zw \kern.25zw \@foottitle}\hfil
  {\nombre@font (\fmt@pagenum{\thepage})}\hskip2.5mm
  {\volpage@font\output@volpage}\hskip3.25mm
  \@Rbot}%
 \def\@evenfoot{\@Lbot\hskip3.25mm
  {\volpage@font \output@volpage}\hskip2.5mm
  {\nombre@font (\fmt@pagenum{\thepage})}\hfil
  \foot@font f񃁃fBAw
  Vol.\,\@Vol\unskip, No.\,\@No\unskip\hskip2mm (\@Year)\hskip3.25mm
  \@Rbot}%
}

\newcounter{volpage}% \c@volpage
\setcounter{volpage}{1}
\newcount\@volpageoffset

\def\ite@lastpage{%
 \@ifundefined{r@ite@lastpage}
  {{\bfseries ?}}%
  {\edef\@temppage{\expandafter\@cdr\r@ite@lastpage\@nil}%
   \@tempcnta\@temppage\relax
   \advance \@tempcnta \@volpageoffset
   \the\@tempcnta
  }%
}

\def\output@volpage{%
 \ifnum\c@volpage=\@ne
  \thepage
 \else
  \c@volpage\c@page
  \advance \c@volpage \@volpageoffset
  \the\c@volpage
 \fi
}

\def\fmt@pagenum#1{%
 \ifnum\c@page<10\relax
  \,#1\,%
 \else
  #1%
 \fi
}

\def\Vol#1{% Vol 57 = Year 2003
 \def\@tempa{#1}%
 \ifx\@tempa\empty
  \gdef\@Vol{xx}%
 \else
  \edef\@tempb{\zap@space#1 \@empty}%
  \afterassignment\remove@to@nnil
   \count@ 0\@tempb\relax\@nnil
  \ifnum\count@=\z@
   \gdef\@Vol{xx}%
  \else
   \@tempcnta=#1\relax
   \advance \@tempcnta 1946\relax
   \xdef\@Year{\the\@tempcnta}%
   \gdef\@Vol{\zap@space#1 \@empty}%
  \fi
 \fi
}
\def\@Vol{xx}
\def\@Year{20xx}

\def\No#1{%
 \def\@tempa{#1}%
 \ifx\@tempa\empty
  \gdef\@No{xx}%
 \else
  \gdef\@No{\zap@space#1 \@empty}%
 \fi
}
\def\@No{xx}

\if@corr
 \def\foot@type{ꂷۂł}
 \def\head@type{\raise1.85mm\hbox{% 2.4mm
  \@ifundefined{PSTricksLoaded}{\scalebox{0.4875}[1]{ꂷۂł}}%
   {\scalebox{0.8 1}{ꂷۂł}}%
 }}%% II
\else
 \if@lecture
  \def\foot@type{u\hskip1zw }
  \def\head@type{\raise1.5mm\hbox{u\hskip.5zw }}
 \else
  \if@short
   \def\foot@type{}
   \def\head@type{\raise1.85mm\hbox{}}
  \else
   \def\foot@type{_\hskip1zw }
   \def\head@type{\raise1.5mm\hbox{_\hskip.5zw }}
  \fi
 \fi
\fi

\def\SpecialSectionOn#1{%
 \gdef\@SpecialSectionOn{#1}%
}
\def\@SpecialSectionOn{}
\def\specialsection#1{\gdef\@specialsection{#1}}
\specialsection{_W}

\def\LectureSectionOn#1{%
 \gdef\@LectureSectionOn{#1}%
}
\def\@LectureSectionOn{}
%\def\lecturesection#1{\gdef\@lecturesection{#1}}
%\lecturesection{u}

\newdimen\@affindent

\def\maketitle{\par
 \@volpageoffset\c@volpage
 \global\advance \@volpageoffset -\c@page
 \ifnum\check@alcnt<\@alcnt
  \ite@warning{information of \string\affiliate\space is not specified}%
 \fi
 \ifnum\check@p@alcnt<\p@alcnt
  \ite@warning{information of \string\paffiliate\space is not specified}%
 \fi
 \begingroup
  \ifnum\p@alcnt>12\relax % 9+3
   \ifnum\@alcnt>\thr@@
    \def\@fnsymbol##1{\ifcase##1 \or \dagger 1\or \dagger 2\or 
     \dagger 3\or \dagger 4\or \dagger 5\or \dagger 6\or 
     \dagger 7\or \dagger 8\or \dagger 9\or
     *1\or *2\or *3\or *4\or *5\or *6\else\@ctrerr\fi\relax}%
   \else
    \def\@fnsymbol##1{\ifcase##1 \or {\dagger}\or {\dagger}{\dagger}\or 
     {\dagger}{\dagger}{\dagger}\or 4\or 5\or 6\or 7\or 8\or 9\or
     *1\or *2\or *3\or *4\or *5\or *6\else\@ctrerr\fi\relax}%
   \fi
  \else
   \ifnum\@alcnt>\thr@@
    \def\@fnsymbol##1{\ifcase##1 \or \dagger 1\or \dagger 2\or 
     \dagger 3\or \dagger 4\or \dagger 5\or \dagger 6\or 
     \dagger 7\or \dagger 8\or \dagger 9\or
     *\or {*}{*}\or {*}{*}{*}\else\@ctrerr\fi\relax}%
   \else
    \def\@fnsymbol##1{\ifcase##1 \or {\dagger}\or {\dagger}{\dagger}\or 
     {\dagger}{\dagger}{\dagger}\or 4\or 5\or 6\or 7\or 8\or 9\or
     *\or {*}{*}\or {*}{*}{*}\else\@ctrerr\fi\relax}%
   \fi
  \fi
  \ifnum\@alcnt=\thr@@
   \@affindent5mm     % 2zw
  \else
   \ifnum\p@alcnt=12\relax %% 9+3
    \@affindent5mm    % 2zw
   \else
    \@affindent3.75mm % 1.5zw
   \fi
  \fi
  \def\@affmarkform##1{$##1$}%
  \long\def\@makefntext##1{%
    \everypar={\hangindent=\@affindent}%
    \parindent\@affindent
    \noindent\hbox to \@affindent{\hss\@affmarkform{\@thefnmark}\,}##1}
  %%
  \twocolumn[\@maketitle]
  \thispagestyle{ite}%

  %\if@corr\else
   \@reported
   \@acceptance
  %\fi
  \@Jaffiliate
  \bgroup\def\@affmarkform##1{$^{##1}$}%
   \p@Jaffiliate
  \egroup
  %\if@corr\else
   \@Eaffiliate
   \bgroup\def\@affmarkform##1{$^{##1}$}%
    \p@Eaffiliate
   \egroup
  %\fi
  %\if@corr
  % \@corrnote
  %\fi
 \endgroup
 \setcounter{footnote}{0}
 \let\maketitle\relax
 \let\@maketitle\relax
 \let\@makeEtitle\relax
 \let\@make@head\relax
 \let\jtitle\relax\let\jsubtitle\relax
 \let\etitle\relax\let\esubtitle\relax
 \gdef\@reported{}\let\reported\relax
 %\gdef\@corrnote{}\let\corrnote\relax
 \gdef\@received{}\gdef\@revised{}%\gdef\@finalreceived{}
 \gdef\@accepted{}%
 \let\received\relax\let\revised\relax %\let\finalreceived\relax
 \let\accepted\relax\let\@acceptance\relax
 \gdef\@Jaffiliate{}\gdef\@Eaffiliate{}%
 \let\affiliate\relax\let\paffiliate\relax
 \@authorlist={}%
 \let\@outputJauthorlist\relax
 \let\@outputEauthorlist\relax
 \let\L@outputEauthorlist\relax
 \let\J@ae\relax\let\J@aeP\relax
 \let\E@ae\relax\let\E@aeP\relax
 \let\breakauthorline\relax
 \@authorcnt\z@
 \loop\ifnum \@authorcnt < \@totalnumber
  \advance \@authorcnt \@ne
   \expandafter\let\csname @Jauthorname\number\@authorcnt\endcsname\relax
   \expandafter\let\csname @Eauthorname\number\@authorcnt\endcsname\relax
 \repeat
}

\def\author@font{\normalfont\fontsize{10.95}{\f@baselineskip}\selectfont}
\DeclareFixedFont{\KFjsubtitle}{JY1}{gt}{m}{n}{18\@JQ}
\def\jsubtitle@font{%
 \if@english \normalsize\else
  \Large\bfseries\KFjsubtitle\fi}

\newskip\AboveJtitleSkip
 \AboveJtitleSkip 9mm
\newskip\AboveJsubtitleSkip
 \AboveJsubtitleSkip 3.5mm
\newskip\AboveEtitleSkip
 \AboveEtitleSkip 5mm
\newskip\AboveEsubtitleSkip
 \AboveEsubtitleSkip 2mm
\newskip\AboveJauthorSkip
 \AboveJauthorSkip 8.5mm
\newskip\AboveEauthorSkip
 \AboveEauthorSkip 4.5mm
\newskip\AboveAbstractSkip
 \AboveAbstractSkip 4.75mm
\newskip\AboveKeywordSkip
 \AboveKeywordSkip 7.25mm
\newskip\BelowTitleSkip
 \BelowTitleSkip\z@

\def\@maketitle{%
 \parindent\z@
 \setbox\@tempboxa\vbox{%
  \@make@head
  \nointerlineskip
  \vskip\AboveJtitleSkip
  {\LARGE\bfseries
   \hfil\parbox[t]{162.5mm}{\@jtitle}%
  }\par
  \ifx\@jsubtitle\empty\else
   \nointerlineskip
   \vskip\AboveJsubtitleSkip
   {\jsubtitle@font\baselineskip7.5mm
    \hfil\parbox[t]{162.5mm}{\@jsubtitle}%
   }\par
  \fi
  %\if@corr\else
   \nointerlineskip
   \vskip\AboveEtitleSkip
   {\Large
    \hfil\parbox[t]{162.5mm}{\@etitle}%
   }\par
   \ifx\@esubtitle\empty\else
    \nointerlineskip
    \vskip\AboveEsubtitleSkip
    {\normalsize
     \hfil\parbox[t]{162.5mm}{\@esubtitle}%
    }\par
   \fi
  %\fi
  \nointerlineskip
  \vskip\AboveJauthorSkip
  %\if@corr\vskip1.5mm\fi
  \ifnum\@totalnumber=\z@\else
   {\author@font
    \baselineskip5.5mm
    \tabskip\fill
    \halign to 169mm{\tabskip\z@
     \small ##\unskip&\hskip3.75mm\lower.25mm\hbox{##}\hfil&
     \small ##\unskip&\hskip3.75mm\lower.25mm\hbox{##}\hfil&
     \small ##\unskip&\hskip3.75mm\lower.25mm\hbox{##}\hfil&
     \small ##\unskip&\hskip3.75mm\lower.25mm\hbox{##}\hfil\cr
     \@outputJauthorlist
    }%
   }\par
  \fi
  %\if@corr\else
   \nointerlineskip
   \vskip\AboveEauthorSkip
   \ifnum\@totalnumber=\z@\else
    {\normalsize
     \raggedleft
     \rightskip6.5mm
     \@outputEauthorlist\par
    }%
   \fi
  %\fi
  \ifvoid\@abstractbox\else
   \vskip\AboveAbstractSkip
   \hfil\box\@abstractbox
  \fi
  \ifvoid\@keywordbox\else
   \vskip\AboveKeywordSkip
   \hfil\box\@keywordbox\par
  \fi
 }%
 \@tempdima \ht\@tempboxa
 \advance \@tempdima \dp\@tempboxa
 \@tempdimb \@tempdima
 \divide \@tempdimb \Cvs
 \@tempcnta=\@tempdimb
 \@tempdimb \@tempcnta\Cvs
 \advance \@tempdima -\@tempdimb
 \ifdim \@tempdimb > .5\Cvs
  \advance \@tempcnta \@ne
 \fi
 %%
 \newpage\null
 \boxmaxdepth\z@
 \lineskiplimit\z@
 \lineskip\z@
 \vbox to \@tempcnta\Cvs{%
  \box\@tempboxa
 \vss}%
 \vskip\Cvs
 \vskip\BelowTitleSkip
}

\def\@makeEtitle{%
 \parindent\z@
 \setbox\@tempboxa\vbox{%
  \@make@head
  \nointerlineskip
  \vskip\AboveEtitleSkip
  {\LARGE\bfseries
   \hfil\parbox[t]{162.5mm}{\@etitle}%
  }\par
  \ifx\@esubtitle\empty\else
   \nointerlineskip
   \vskip\AboveEsubtitleSkip
   {\Large\bfseries
    \hfil\parbox[t]{162.5mm}{\@esubtitle}%
   }\par
  \fi
  \nointerlineskip
  \vskip\AboveJtitleSkip
  {\author@font
   \hfil\parbox[t]{162.5mm}{\hskip-.5zw i\@jtitle j}%
  }\par
  \ifx\@jsubtitle\empty\else
   \nointerlineskip
   \vskip\AboveJsubtitleSkip
   {\jsubtitle@font
    \hfil\parbox[t]{162.5mm}{\@jsubtitle}%
   }\par
  \fi
  \nointerlineskip
  \vskip\AboveEauthorSkip
  \ifnum\@totalnumber=\z@\else
   {\author@font
    \baselineskip5.5mm
    \tabskip\fill
    \halign to 169mm{\tabskip\z@
     ##\hfil&##\hfil&##\hfil&##\hfil\cr
     \@outputEauthorlist
    }%
   }\par
  \fi
  %\if@corr\else
   \ifvoid\@abstractbox\else
    \vskip\AboveAbstractSkip
    \hfil\box\@abstractbox
   \fi
   \ifvoid\@keywordbox\else
    \vskip\AboveKeywordSkip
    \hfil\box\@keywordbox\par
   \fi
  %\fi
 }%
 \@tempdima \ht\@tempboxa
 \advance \@tempdima \dp\@tempboxa
 \@tempdimb \@tempdima
 \divide \@tempdimb \Cvs
 \@tempcnta=\@tempdimb
 \@tempdimb \@tempcnta\Cvs
 \advance \@tempdima -\@tempdimb
 \ifdim \@tempdimb > .5\Cvs
  \advance \@tempcnta \@ne
 \fi
 %%
 \newpage\null
 \boxmaxdepth\z@
 \lineskiplimit\z@
 \lineskip\z@
 \vbox to \@tempcnta\Cvs{%
  \box\@tempboxa
 \vss}%
 \vskip\Cvs
 \vskip\BelowTitleSkip
}

\DeclareFixedFont{\KFtype@paper}{JY1}{gt}{m}{n}{24\@JQ}%% --> jun101?
\DeclareFixedFont{\KFtype@short}{JY1}{gt}{m}{n}{20\@JQ}%% --> jun101?

\def\type@font{%
 \if@corr
  %\normalsize\bfseries
  \Large\bfseries\KFtype@short
 \else
  \if@short
   \Large\bfseries\KFtype@short
  \else
   \LARGE\bfseries\KFtype@paper
  \fi
 \fi
}

\DeclareFixedFont{\KFspsec}{JY1}{gt}{m}{n}{16\@JQ}
\def\specialsection@font{%
 \fontsize{12}{\z@}\selectfont\KFspsec
}%% 16Q2
\def\lecturesection@font{%
 \fontsize{12}{\z@}\selectfont\KFspsec
}%% 16Q2

\def\@make@head{%
 \vbox{%
  \hrule height .4mm width \textwidth
   \hbox{%
    \vrule width .4mm height 7.6mm
     \@tempdima\textwidth
     \advance \@tempdima -.8mm
     \hbox to \@tempdima{%
      \hbox{\type@font\hskip2.5mm\head@type\hskip2.5mm}%
      \vrule width .4mm height 7.6mm
      \leaders\hrule height 2mm depth -1.6mm\hfil
       \hbox to \z@{%
        %% gray scale
        \setbox\@tempboxa\hbox{\type@font\hskip2.5mm\head@type\hskip2.5mm}%
        \@tempdimb\textwidth
        \advance \@tempdimb -\wd\@tempboxa
        \advance \@tempdimb -1.2mm % 0.4x3
        \raise2mm\hbox to \z@{\hss
         \textcolor{headgray}{\rule{\@tempdimb}{5.55mm}}}%
        %%
        \hss
        \raise3.5mm\hbox{%
         \ifx\@SpecialSectionOn\empty\mbox{}\else
          \textcolor{white}{%
           \normalsize\bfseries \@specialsection\hskip.25zw \hskip.25zw
           \@ifundefined{PSTricksLoaded}{%
            \scalebox{1}[0.8]{\specialsection@font \@SpecialSectionOn\unskip}%
           }{\scalebox{1 0.8}{\specialsection@font \@SpecialSectionOn\unskip}}%
          }\hskip2mm
         \fi
         \ifx\@LectureSectionOn\empty\mbox{}\else
          \textcolor{white}{%
%           \normalsize\bfseries \@lecturesection\hskip.25zw \hskip.25zw
           \normalsize\bfseries \hskip.25zw
           \@ifundefined{PSTricksLoaded}{%
            \scalebox{1}[0.8]{\lecturesection@font \@LectureSectionOn\unskip}%
           }{\scalebox{1 0.8}{\lecturesection@font \@LectureSectionOn\unskip}}%
          }\hskip2mm
         \fi
        }%
       }%
     }%
   \vrule width .4mm height 7.6mm depth -1.6mm
   }%
  \hrule height .4mm width \textwidth
 }\par
}

\def\reported#1{%
 \gdef\@reported{%
  \footnotetext{\hskip-\@affindent \inhibitglue #1\inhibitglue}}%
}
\def\@reported{}

%\def\corrnote#1{%
% \gdef\@corrnote{\footnotetext{\inhibitglue #1\inhibitglue}}%
%}
%\def\@corrnote{}

\def\@acceptance{%
 \ifx\@received\empty\else
  \footnotetext{\hskip-\@affindent
   \xkanjiskip.5\xkanjiskip
   {\@received\@revised%\@finalreceived
    \@accepted}}%
 \fi
}

\def\received#1#2#3{%
 \gdef\@received{#1N#2#3t}%
}
\def\@received{}

%% cf. \raggedright inside definition of \@acceptance
\newcount\accpt@penalty
\accpt@penalty \z@ %\@highpenalty

\def\revised#1#2#3{%
 \gdef\@revised{\penalty\@MC#1N#2#3Ďt}%
}
\def\@revised{}

%\def\finalreceived#1#2#3{%
% \if@english
%  \edef\@tempa{\zap@space#2 \@empty}%
%  \ifx\@tempa\@empty\def\@tempa{0}\fi
%  \xdef\@finalreceived{\penalty\@M; \penalty-\accpt@penalty 
%   Final received 
%   \expandafter\ifcase\@tempa \or January\or February\or March\or April\or 
%    May\or June\or July\or August\or September\or October\or 
%    November\or December\fi\ #3, #1}%
% \else
%  \gdef\@finalreceived{\penalty\@MC#1N#2#3ŏIt}%
% \fi
%}
%\def\@finalreceived{}

\def\accepted#1#2#3{%
 \gdef\@accepted{\penalty\@MC#1N#2#3̘^}%
}
\def\@accepted{}

\def\jtitle{\@ifnextchar[% ]
 {\d@jtitle}{\s@jtitle}}
\def\d@jtitle[#1]#2{%
 \gdef\@foottitle{#1}\@chkftlength
 \gdef\@jtitle{#2}}
\def\s@jtitle#1{%
 \gdef\@foottitle{\def\\{\unskip\ignorespaces}#1}\@chkftlength
 \gdef\@jtitle{#1}}

\def\jsubtitle#1{\gdef\@jsubtitle{#1}}

\def\etitle{\@ifnextchar[% ]
 {\d@etitle}{\s@etitle}}
\def\d@etitle[#1]#2{%
 \if@english\gdef\@foottitle{#1}\@chkftlength\fi
 \gdef\@etitle{#2}}
\def\s@etitle#1{%
 \if@english\gdef\@foottitle{\def\\{\ \ignorespaces}#1}\@chkftlength\fi
 \gdef\@etitle{#1}}

\def\esubtitle#1{\gdef\@esubtitle{#1}}

\def\@jtitle{}
\def\@jsubtitle{}
\def\@foottitle{}
\def\@etitle{}
\def\@esubtitle{}

\newbox\@tempboxb

\def\@chkftlength{%
 \setbox\@tempboxa\hbox{%
  {\nombre@font (\fmt@pagenum)}\hskip2.5mm
  {\volpage@font \output@volpage}\hskip3.25mm}%
 \setbox\@tempboxb\hbox{\foot@font\bfseries
  \hskip3.25mm\foot@type\kern.25zw \kern.25zw 
  \@foottitle}%
  \@tempdima\textwidth
  \advance \@tempdima -\wd\@tempboxa
  \advance \@tempdima -\wd\@tempboxb
  \ifdim \@tempdima < 1zw
   \ite@warning{title for footer is too wide. make it shorter}%
  \fi
}

\newbox\@abstractbox
\def\abstract{%
 \global\setbox\@abstractbox\hbox\bgroup
 \if@short
  \begin{minipage}[t]{162.5mm}
   \Small
   \parindent1zw
   {\bfseries ܂}\hskip1zw
 \else 
  \begin{minipage}[t]{162.5mm}
   \small
   \parindent1em
   \noindent\hskip3.25mm
   {\bfseries ܂}\hskip1em
 \fi
 \ignorespaces
}
\def\endabstract{%
 \end{minipage}\egroup
 \ignorespaces
}

\newbox\@keywordbox
\def\keyword{%
 \global\setbox\@keywordbox\hbox\bgroup
  \begin{minipage}[t]{162.5mm}
   \footnotesize\hskip3.25mm
    {\bfseries L[[h}\hbox to 1zw{\hss F\hss}
 \ignorespaces
}
\def\endkeyword{%
 \end{minipage}\egroup
 \ignorespaces
}

\newtoks\@authorlist
\newcount\@authorcnt
\newcount\@alcnt
\newcount\p@alcnt
 \p@alcnt 9\relax
\newcount\@totalnumber
\newdimen\@namesep
 \@namesep 1.875mm % .5zw at 15Q

\def\authorlist#1{%
 \@authorlist={#1}\the\@authorlist
}

\def\authorentry#1#2#3#4{\@ifnextchar[% ]
 {\J@aeP{#1}{#2}{#3}{#4}}%
 {\J@ae{#1}{#2}{#3}{#4}}}

\def\get@al#1{%
 \@for\get@label:=#1\do{%
  \@ifundefined{al@\get@label}%
   {\def\@noaffi{none}\def\tmp@affi{#1}%
    \ifx\@noaffi\tmp@affi\else
     \global\advance \@alcnt \@ne\fi
    \expandafter\xdef\csname al@\get@label\endcsname{\the\@alcnt}%
    \advance \@tempcnta \@ne
    \expandafter\xdef\csname al@\romannumeral\@tempcnta\endcsname{%
     \get@label}%
   }%
   {\advance \@tempcnta \@ne
    \expandafter\xdef\csname al@\romannumeral\@tempcnta\endcsname{%
     \get@label}%
   }%
 }%
}

\def\name@expandafter#1#2{%
 \def\next{#1}%
 \edef\@tempa{#2}%
 \ifx\@tempa\@empty
  \iteline@warning{author's name is empty!}%
  \@temptokena{ }%
  \def\@tempa{\@empty}%
 \fi
 \expandafter\next\@tempa}
\def\chk@name#1{%
 \name@expandafter\@chk@name{#1}\@nil}
\def\@chk@name#1#2\@nil{\def\get@oneword{#1}}

\def\fmt@Jan#1#2#3{%
 \def\tmp@paffi{#3}%
 \edef\@tempa{\zap@space#1 \@empty}%
 \ifx\@tempa\@empty\@temptokena{}\else\@temptokena{#1}\fi
 \chk@name{\the\@temptokena}%
 \setbox\@tempboxa\hbox{\get@oneword}%
 \ifdim \wd\@tempboxa<1zw
  \def\@authorname{\the\@temptokena\unskip}% English name
 \else
  \setbox\@tempboxa\hbox{\spaceskip=100mm \the\@temptokena\unskip}%
  \ifdim \wd\@tempboxa < 100mm
   \ite@warning{a space should be added to the name "\the\@temptokena"}%
   \def\@authorname{\the\@temptokena\unskip}%
  \else
   \setbox\@tempboxa\hbox{\the\@temptokena\unskip}%
   \ifdim \wd\@tempboxa > 5zw
    \def\n@form##1 ##2\@nil{##1\hskip\@namesep ##2\unskip}%
   \else
    \def\n@form##1 ##2\@nil{%
     \hbox to 5.5zw{\kanjiskip\@namesep ##1\hfil ##2\unskip}}%
   \fi
    \edef\@authorname{\expandafter\n@form \the\@temptokena\@nil}%
  \fi
 \fi
 %%
 \expandafter\protected@xdef\csname @Jauthorname\number\@authorcnt\endcsname{%
  \csname @Jauthormembership\number\@authorcnt\endcsname
   \@authorname\kern0pt
   \@ifundefined{al@#2}%
    {\expandafter\ifnum\expandafter\csname al@\al@i\endcsname\expandafter
       >\csname al@\al@ii\endcsname
      $^{\noexpand\@fnsymbol{\csname al@\al@ii\endcsname},}$%
      $^{\noexpand\@fnsymbol{\csname al@\al@i\endcsname}}$%
     \else
      $^{\noexpand\@fnsymbol{\csname al@\al@i\endcsname},}$%
      $^{\noexpand\@fnsymbol{\csname al@\al@ii\endcsname}}$%
     \fi
     \ifx\tmp@paffi\empty\else
      $^{\noexpand\@fnsymbol{\csname p@al@#3\endcsname}}$%
     \fi
    }%
    {$^{\noexpand\@fnsymbol{\csname al@#2\endcsname}}$%
     \ifx\tmp@paffi\empty\else
      $^{\noexpand\@fnsymbol{\csname p@al@#3\endcsname}}$%
     \fi
    }%
 }%
}

\def\chk@mbrship#1{% m,s,h,n
 \if#1m\else
  \if#1s\else
   \if#1h\else
    \if#1n\else
     \ite@warning{Option "#1" of \string\authorentry\space is invalid, 
      specify m, s, h, or n}%
     \if@english
      \expandafter\global\expandafter\let\csname #1@Emember\endcsname\relax
     \else
      \expandafter\gdef\csname #1@Jmember\endcsname{@@@}% 
     \fi
    \fi
   \fi
  \fi
 \fi
}

\def\fmt@Jmbrship#1{%
 \chk@mbrship{#1}%
 \expandafter\protected@xdef
  \csname @Jauthormembership\number\@authorcnt\endcsname{%
  \csname #1@Jmember\endcsname &}%
}

\def\fmt@Ean#1#2#3{%
 \@temptokena{#1}%
 \def\tmp@paffi{#3}%
 \expandafter\protected@xdef\csname @Eauthorname\number\@authorcnt\endcsname{%
  \the\@temptokena
  \if@english
   \csname @Eauthormembership\number\@authorcnt\endcsname
  \fi
  \@ifundefined{al@#2}%
   {\expandafter\ifnum\expandafter\csname al@\al@i\endcsname\expandafter
      >\csname al@\al@ii\endcsname
     $^{\noexpand\@fnsymbol{\csname al@\al@ii\endcsname},}$%
     $^{\noexpand\@fnsymbol{\csname al@\al@i\endcsname}}$%
    \else
     $^{\noexpand\@fnsymbol{\csname al@\al@i\endcsname},}$%
     $^{\noexpand\@fnsymbol{\csname al@\al@ii\endcsname}}$%
    \fi
    \ifx\tmp@paffi\empty\else
     $^{\noexpand\@fnsymbol{\csname p@al@#3\endcsname}}$%
    \fi
   }%
   {$^{\noexpand\@fnsymbol{\csname al@#2\endcsname}}$%
    \ifx\tmp@paffi\empty\else
     $^{\noexpand\@fnsymbol{\csname p@al@#3\endcsname}}$%
    \fi
   }%
 }%
}

\def\fmt@Embrship#1{%
 \chk@mbrship{#1}%
 \expandafter\protected@xdef
  \csname @Eauthormembership\number\@authorcnt\endcsname{%
  \csname #1@Emember\endcsname}%
}

\def\J@ae#1#2#3#4{%
 \def\tmp@an{#1}%
 \ifx\tmp@an\empty
 \else
  \@tempcnta\z@
  \advance \@authorcnt \@ne
  % author label
  \get@al{#4}%
  % no affiliate
  \def\al@none{0}%
  % membership in Japanese
  \fmt@Jmbrship{#3}%
  % author's name in Japanese
  \fmt@Jan{#1}{#4}{}%
  % author's name in English
  \fmt@Ean{#2}{#4}{}%
  % membership in English
  % \fmt@Embrship{#3}%
  %
  \global\@totalnumber\@authorcnt
 \fi
}

\def\J@aeP#1#2#3#4[#5]{%
 \def\tmp@an{#1}%
 \ifx\tmp@an\empty
 \else
  \@tempcnta\z@
  \advance \@authorcnt \@ne
  % author label
  \get@al{#4}%
  % no affiliate
  \def\al@none{0}%
  % author label (present)
  \@ifundefined{p@al@#5}%
   {\global\advance \p@alcnt \@ne
    \expandafter\xdef\csname p@al@#5\endcsname{\the\p@alcnt}}%
   {\relax}%
  % membership in Japanese
  \fmt@Jmbrship{#3}%
  % author's name in Japanese
  \fmt@Jan{#1}{#4}{#5}%
  % author's name in English
  \fmt@Ean{#2}{#4}{#5}
  %  membership in English
  % \fmt@Embrship{#3}%
  %
  \global\@totalnumber\@authorcnt
 \fi
}

\def\E@ae#1#2#3{%
 \def\tmp@an{#1}%
 \ifx\tmp@an\empty
 \else
  \@tempcnta\z@
  \advance \@authorcnt \@ne
  % author label
  \get@al{#3}%
  % no affiliate
  \def\al@none{0}%
  % membership in English
  \fmt@Embrship{#2}%
  % author's name and membership in English
  \fmt@Ean{#1}{#3}{}%
  %
  \global\@totalnumber\@authorcnt
 \fi
}

\def\E@aeP#1#2#3[#4]{%
 \def\tmp@an{#1}%
 \ifx\tmp@an\empty
 \else
  \@tempcnta\z@
  \advance \@authorcnt \@ne
  % author label
  \get@al{#3}%
  % no affiliate
  \def\al@none{0}%
  % author label (present)
  \@ifundefined{p@al@#4}%
   {\global\advance \p@alcnt \@ne
    \expandafter\xdef\csname p@al@#4\endcsname{\the\p@alcnt}}%
   {\relax}%
  % membership in English
  \fmt@Embrship{#2}%
  % author's name and membership in English
  \fmt@Ean{#1}{#3}{#4}%
  %
  \global\@totalnumber\@authorcnt
 \fi
}

\def\m@Jmember{}
\def\n@Jmember{@@@}
\def\h@Jmember{_}
\def\s@Jmember{w}
\def\@Jmember{@@@}

\font\mem@font=cmr10 at 8pt
\def\m@Emember{{\mem@font\ (member)}}
\def\h@Emember{{\mem@font\ (honorary member)}}
\def\s@Emember{{\mem@font\ (student member)}}

\newcount\d@cnt

\newcount\@alignorder
\@alignorder4\relax
\def\authoralign#1{\@alignorder#1}

\def\@outputJauthorlist{%
 \ifnum\@totalnumber=5\relax\@alignorder\thr@@\fi
 \ifnum\@totalnumber=6\relax\@alignorder\thr@@\fi
 \ifnum\@totalnumber=9\relax\@alignorder\thr@@\fi
 \@tempcnta\@totalnumber
 \divide \@tempcnta \@alignorder
 \@tempcntb\@tempcnta
 \d@cnt\@tempcntb
 \multiply \d@cnt \@alignorder
 \expandafter\def\csname delim@\number\d@cnt\endcsname{%
  \lower.25mm\hbox{C}\cr}%
 \loop
  \ifnum\@tempcntb>\@ne
  \advance \@tempcntb \m@ne
   \d@cnt\@tempcntb
   \multiply \d@cnt \@alignorder
   \expandafter\def\csname delim@\number\d@cnt\endcsname{%
    \lower.25mm\hbox{C}\cr}%
 \repeat
 \@authorcnt\z@
 \d@cnt\z@
  \loop\ifnum \@authorcnt < \@totalnumber
   \advance \@authorcnt \@ne
   \advance \d@cnt \@ne
    \@ifundefined{delim@\number\d@cnt}%
     {\expandafter\def\csname delim@\number\d@cnt\endcsname{%
       \lower.25mm\hbox to 1zw{C\hss} &}%
      \expandafter\def\csname delim@\number\@totalnumber\endcsname{\cr}%
     }{\relax}%
   \protected@xdef\align@author{\align@author
    \csname @Jauthorname\number\@authorcnt\endcsname
    \csname delim@\number\d@cnt\endcsname}%
  \repeat
 \align@author
}
\def\align@author{}

\def\@outputEauthorlist{%
 \@authorcnt\z@
 \@tempcnta\@totalnumber
 \advance \@tempcnta -\@ne
  \loop\ifnum\@authorcnt<\@totalnumber
   \advance \@authorcnt \@ne 
   \ifnum\@authorcnt<\@tempcnta
    \csname @Eauthorname\number\@authorcnt\endcsname\nobreak , 
     \csname @breakauthorline\number\@authorcnt\endcsname
   \else
    \ifnum\@authorcnt=\@totalnumber
     \csname @Eauthorname\number\@authorcnt\endcsname
    \else
     \csname @Eauthorname\number\@authorcnt\endcsname
      \csname @breakauthorline\number\@authorcnt\endcsname
     \ and\ \nobreak 
    \fi
   \fi
  \repeat
}

\def\breakauthorline#1{%
 \@for\@breakauthor:=#1\do{%
  \expandafter\gdef\csname @breakauthorline\@breakauthor\endcsname{\\}%
 }%
  \@authorcnt\z@
  \loop\ifnum \@authorcnt < \@totalnumber
   \advance \@authorcnt \@ne
    \@ifundefined{@breakauthorline\number\@authorcnt}%
    {\expandafter\gdef\csname @breakauthorline\number\@authorcnt\endcsname
     {\relax}}{\relax}%
  \repeat
}

\newcount\check@alcnt
\newcount\check@p@alcnt
\check@p@alcnt 9\relax

\DeclareFixedFont{\KFaddress}{JY1}{mc}{m}{n}{9\@JQ}
\def\address@font{\fontsize{6.5}{\z@}\selectfont\KFaddress}

\def\affiliate[#1]#2#3{%
 \advance \check@alcnt \@ne
 \begingroup
  \@ifundefined{al@#1}%
   {\expandafter\def\csname al@#1\endcsname{1}%
    \ite@warning{Check the "#1" label,^^J it does not correspond to 
     any labels in \string\authorentry\space command}}%
   {\protected@xdef\@Jaffiliate{\@Jaffiliate
     \protect\footnotetext[\csname al@#1\endcsname]%
      {#2\hfil\protect\break
       {\address@font\hspace*{-.5zw}i#3j}}}% \if@corr\else\fi
   }%
 \endgroup
}
\def\paffiliate[#1]#2{%
 \advance \check@p@alcnt \@ne
 \begingroup
  \@ifundefined{p@al@#1}%
   {\expandafter\def\csname p@al@#1\endcsname{1}%
    \ite@warning{Check the "#1" label,^^J it does not correspond to 
     any labels in \string\authorentry\space command}}%
   {\protected@xdef\p@Jaffiliate{\p@Jaffiliate
     \protect\footnotetext[\csname p@al@#1\endcsname]{#2}}%
   }%
 \endgroup
}
\def\@Jaffiliate{}
\def\@Eaffiliate{}
\def\p@Jaffiliate{}
\def\p@Eaffiliate{}

\setcounter{secnumdepth}{4}
\newcounter{section}
\newcounter{subsection}[section]
\newcounter{subsubsection}[subsection]
\newcounter{paragraph}[subsubsection]
\newcounter{subparagraph}[paragraph]
\renewcommand{\thesection}{\@arabic\c@section}
\renewcommand{\thesubsection}{\thesection.\,\@arabic\c@subsection}
\renewcommand{\thesubsubsection}{%
 \hskip-.5zw i\,\@arabic\c@subsubsection\,j\hskip-.5zw}
\renewcommand{\theparagraph}{%
 \hskip-.5zw i\,\@alph\c@paragraph\,j\hskip-.5zw}
\renewcommand{\thesubparagraph}{%
 \hskip-.5zw i\,\@roman\c@subparagraph\,j\hskip-.5zw}

\def\@afterheading{%
 \global\@nobreaktrue
 \everypar{%
  \if@nobreak
   \global\@nobreakfalse
   \clubpenalty\z@
    \if@afterindent
    \else
     {\setbox\z@=\lastbox}%
    \fi
  \else
   \clubpenalty\@clubpenalty
   \everypar{}%
  \fi}%
}

%%% \@startsection{NAME}{LEVEL}{INDENT}{BEFORESKIP}{AFTERSKIP}{STYLE}
\def\@startsection#1#2#3#4#5#6{\if@noskipsec \leavevmode \fi
   \par \@tempskipa #4\relax
   \@afterindenttrue
   \ifdim \@tempskipa <\z@ \@tempskipa -\@tempskipa \@afterindentfalse\fi
   \if@nobreak
    \everypar{}%
   \else
    %%\addpenalty\@secpenalty
%    \ifnum#2=\@ne
     \vskip-\prevdepth \prevdepth\z@ \vskip\Cvs
     \advance\@tempskipa-\Cvs
     \vspace*{\@tempskipa}
%    \else
%     \vskip-\prevdepth \prevdepth\z@ \vskip\Cvs
%      \advance\@tempskipa-\Cvs
%      \vspace*{\@tempskipa}
%    \fi
   \fi
 \@ifstar{\@ssect{#3}{#4}{#5}{#6}}{\@dblarg{\@sect{#1}{#2}{#3}{#4}{#5}{#6}}}}

%%% \@sect{NAME}{LEVEL}{INDENT}{BEFORESKIP}{AFTERSKIP}{STYLE}[ARG1]{ARG2}
\def\@sect#1#2#3#4#5#6[#7]#8{%
 \ifnum #2>\c@secnumdepth
  \let\@svsec\@empty
 \else
  \refstepcounter{#1}%
  \protected@edef\@svsec{\@seccntformat{#1}\relax}%
 \fi
  \@tempskipa #5\relax
  \ifdim \@tempskipa<\z@
   \def\@svsechd{%
     #6{\hskip #3\relax
        \@svsec #8}%
   }%
  \else
   \begingroup
    #6{%
      \@hangfrom{\hskip #3\relax\@svsec}%
       \interlinepenalty\@M\@secjidori{#4}{#8}\@@par
      }%
   \endgroup
  \fi
  \@xsect{#5}}

\def\@seccntformat#1{\csname the#1\endcsname
 \csname dotafter@#1\endcsname\hskip1zw}

\def\dotafter@section{.}

%%% \@ssect{INDENT}{BEFORESKIP}{AFTERSKIP}{STYLE}{ARG} ==
\def\@ssect#1#2#3#4#5{%
  \@tempskipa #3\relax
  \ifdim \@tempskipa<\z@
   \def\@svsechd{#4{\hskip #1\relax #5}}%
  \else
   \begingroup
    #4{%
       \@hangfrom{\hskip #1}%
        \interlinepenalty\@M \@secjidori{#2}{#5}\@@par
      }%
   \endgroup
  \fi
  \@xsect{#3}}

\def\@xsect#1{%
  \@tempskipa #1\relax
  \ifdim \@tempskipa<\z@
    \@nobreakfalse
    \global\@noskipsectrue
    \everypar{%
      \if@noskipsec
        \global\@noskipsecfalse
       {\setbox\z@\lastbox}%
        \clubpenalty\@M
        \begingroup \@svsechd \endgroup
        \unskip
        \@tempskipa #1\relax
        \hskip -\@tempskipa
      \else
        \clubpenalty \@clubpenalty
        \everypar{}%
      \fi}%
  \else
    \par \nobreak
    \vskip \@tempskipa
    \@afterheading
  \fi
  \ignorespaces}

\newif\ifjidori\jidoritrue

\def\@secjidori#1#2{%
 \if@english #2\else
  \ifjidori
   \def\@tempfn{}\def\@tempfncnt{}%
   \@tempskipb #1\relax
   \bgroup
    \def\footnote{\@ifnextchar[% ]
     {\@ignorefn}{\@ignorefn[]}}%
    \long\def\@ignorefn[##1]##2{\gdef\@tempfncnt{##1}\gdef\@tempfn{##2}}%
    \def\footnotemark{\@ifnextchar[% ]
     {\@ignorefnmark}{\@ignorefnmark[]}}%
    \def\@ignorefnmark[##1]{}%
    \global\setbox\@tempboxb\hbox{#2}%
   \egroup
   \ifdim \@tempskipb>\z@
    \ifdim \wd\@tempboxb>6.5zw
     \inhibitglue #2%
    \else
     \def\@makefnmark{\hbox to \z@{$^{\@thefnmark}$\hss}}%
     \kanjiskip\z@ plus 1fill minus 1fill \xkanjiskip\kanjiskip
     %%\jmathkanjiskip\kanjiskip
     \ifdim \wd\@tempboxb>3.5zw
      \hbox to 7zw{\let\@footnotetext\@gobble\inhibitglue #2\hfil}%
     \else
      \ifdim \wd\@tempboxb> 2.5zw
       \hbox to 5zw{\let\@footnotetext\@gobble\inhibitglue #2\hfil}%
      \else
       \hbox to 3zw{\let\@footnotetext\@gobble\inhibitglue #2\hfil}%
      \fi
     \fi
      \xkanjiskip.25zw plus .15zw minus .1zw
      \kanjiskip0pt plus .4pt minus .5pt
      \ifx\@tempfn\empty\else
       \ifx\@tempfncnt\empty\footnotetext{\@tempfn}\else
        \footnotetext[\@tempfncnt]{\@tempfn}%
       \fi\fi
    \fi
   \else
    \ifdim \wd\@tempboxb>2.5zw
     \inhibitglue #2%
    \else
     \def\@makefnmark{\hbox to \z@{$^{\@thefnmark}$\hss}}%
     \kanjiskip\z@ plus 1fill minus 1fill \xkanjiskip\kanjiskip
     %%\jmathkanjiskip\kanjiskip
     \hbox to 3zw{\let\@footnotetext\@gobble\inhibitglue #2\hfil}%
      \xkanjiskip.25zw plus .15zw minus .1zw
      \kanjiskip0pt plus .4pt minus .5pt
      \ifx\@tempfn\empty\else
       \ifx\@tempfncnt\empty\footnotetext{\@tempfn}\else
        \footnotetext[\@tempfncnt]{\@tempfn}%
       \fi\fi
    \fi
   \fi
   \gdef\@tempfn{}\gdef\@tempfncnt{}%
  \else
   #2%
  \fi
 \fi
}

\DeclareFixedFont{\KFsec}{JY1}{gt}{m}{n}{14\@JQ}
\def\sec@font{\fontsize{10.95}{\Cvs}\selectfont\bfseries
 \ybaselineshift.5\@EM\KFsec}

\newcommand{\section}{\@startsection{section}{1}{3.25mm}%
   {.5\Cvs \@plus.3\Cdp \@minus.1\Cdp}% 
   {.5\Cvs \@plus.3\Cdp \@minus.1\Cdp}%
   {\reset@font\sec@font}}
\newcommand{\subsection}{\@startsection{subsection}{2}{1zw}%
   {\z@ \@plus.2\Cdp \@minus.1\Cdp}%
   {\z@ \@plus.2\Cdp \@minus.1\Cdp}%
   {\reset@font\normalsize\bfseries}}
\newcommand{\subsubsection}{\@startsection{subsubsection}{3}{1zw}%
   {\z@ \@plus.2\Cdp \@minus.1\Cdp}%
   {\z@ \@plus.2\Cdp \@minus.1\Cdp}%
   {\reset@font\normalsize}}
\newcommand{\paragraph}{\@startsection{paragraph}{4}{1zw}%
   {\z@ \@plus.2\Cdp \@minus.1\Cdp}%
   {\z@ \@plus.2\Cdp \@minus.1\Cdp}%
   {\reset@font\normalsize}}
\newcommand{\subparagraph}{\@startsection{subparagraph}{5}{1zw}%
   {\z@ \@plus.2\Cdp \@minus.1\Cdp}%
   {-2zw}%
   {\reset@font\normalsize}}

\def\appendix{\par
 \jidorifalse
  \section*{\normalsize\bfseries\centering 
   \inhibitglue q\appendixname r\inhibitglue}
 \jidoritrue
  \def\section{\@startsection{section}{1}{1zw}
   {\z@ \@plus.3\Cdp \@minus.1\Cdp}
   {\z@ \@plus.3\Cdp \@minus.1\Cdp}
   {\normalsize\bfseries}}%
 \setcounter{section}{0}%
 \setcounter{subsection}{0}%
 \setcounter{equation}{0}%
 \setcounter{figure}{0}%
 \setcounter{table}{0}%
 \setcounter{photo}{0}%
 \def\thesection{\@Alph\c@section}%
 \def\thesubsection{\thesection.\,{\arabic{subsection}}}%
 \if@english
  \renewcommand{\figurename}{app.Fig.\,}%
  \renewcommand{\tablename}{app.Table~}%
  \renewcommand{\photoname}{app.Photo~}%
  \def\theequation{{\normalsize app.\arabic{equation}}}%
 \else
  \renewcommand{\figurename}{t\hbox to .5zw{\hss E\hss}}~}%
  \renewcommand{\tablename}{t\hbox to .5zw{\hss E\hss}\~}%
  \renewcommand{\photoname}{t\hbox to .5zw{\hss E\hss}ʐ^~}%
  \def\theequation{{\normalsize
   t\hbox to .5zw{\hss E\hss}\arabic{equation}}}%
 \fi
}

\if@twocolumn
  \setlength\leftmargini {2zw}
\else
  \setlength\leftmargini {2zw}
\fi
\setlength\leftmarginii  {2zw}
\setlength\leftmarginiii {2zw}
\setlength\leftmarginiv  {2zw}
\if@twocolumn
  \setlength\leftmarginv {2zw}
  \setlength\leftmarginvi{2zw}
\else
  \setlength\leftmarginv {2zw}
  \setlength\leftmarginvi{2zw}
\fi
\setlength  \labelsep  {1zw}
\setlength  \labelwidth{\leftmargini}
\addtolength\labelwidth{-\labelsep}
\@beginparpenalty\z@ %-\@lowpenalty
\@endparpenalty\z@ %  -\@lowpenalty
\@itempenalty\z@ %    -\@lowpenalty

%% from latex.ltx
\def\@item[#1]{%
  \if@noparitem
    \@donoparitem
  \else
    \if@inlabel
      \indent \par
    \fi
    \ifhmode
      \unskip\unskip \par
    \fi
    \if@newlist
      \if@nobreak
        \@nbitem
      \else
        \addpenalty\@beginparpenalty
        \addvspace\@topsep
        \addvspace{-\parskip}%
      \fi
    \else
      \addpenalty\@itempenalty
      \addvspace\itemsep
    \fi
    \global\@inlabeltrue
  \fi
  \everypar{%
    \@minipagefalse
    \global\@newlistfalse
    \if@inlabel
      \global\@inlabelfalse
      {\setbox\z@\lastbox
       \ifvoid\z@
         \kern-\itemindent
       \fi}%
      \box\@labels
      \penalty\z@
    \fi
    \if@nobreak
      \@nobreakfalse
      \clubpenalty\z@ % \@M --> \z@ 
    \else
      \clubpenalty \@clubpenalty
      \everypar{}%
    \fi}%
  \if@noitemarg
    \@noitemargfalse
    \if@nmbrlist
      \refstepcounter\@listctr
    \fi
  \fi
  \sbox\@tempboxa{\makelabel{#1}}%
  \global\setbox\@labels\hbox{%
    \unhbox\@labels
    \hskip \itemindent
    \hskip -\labelwidth
    \hskip -\labelsep
    \ifdim \wd\@tempboxa >\labelwidth
      \box\@tempboxa
    \else
      \hbox to\labelwidth {\unhbox\@tempboxa}%
    \fi
    \hskip \labelsep}%
  \ignorespaces\inhibitglue
}

\renewcommand{\theenumi}{\@arabic\c@enumi}
\renewcommand{\theenumii}{\@alph\c@enumii}
\renewcommand{\theenumiii}{\@roman\c@enumiii}
\renewcommand{\theenumiv}{\@Alph\c@enumiv}
\newcommand{\labelenumi}{\hskip-.5zw i\,\theenumi\,j\hskip-.5zw}
\newcommand{\labelenumii}{\hskip-.5zw i\,\theenumii\,j\hskip-.5zw}
\newcommand{\labelenumiii}{\theenumiii.}
\newcommand{\labelenumiv}{\theenumiv.}
\renewcommand{\p@enumii}{\theenumi}
\renewcommand{\p@enumiii}{\theenumi(\theenumii)}
\renewcommand{\p@enumiv}{\p@enumiii\theenumiii}

\renewenvironment{enumerate}
  {\ifnum \@enumdepth >\thr@@\@toodeep\else
   \advance\@enumdepth\@ne
   \edef\@enumctr{enum\romannumeral\the\@enumdepth}%
   \list{\csname label\@enumctr\endcsname}{%
         \topsep\z@\partopsep\z@\parsep\z@\itemsep\z@
         \advance \leftmargin 1zw
         \labelsep1zw
         \itemindent1zw
         \listparindent1zw
         \@nobreakfalse
         \usecounter{\@enumctr}%
         \def\makelabel##1{\hss\llap{##1}}}%
   \fi}{\endlist}

%\newcommand{\labelitemi}{\leavevmode\hbox to 1zw{\hss E\hss}}
\newcommand{\labelitemi}{\leavevmode\hbox to 1zw{\hss \textbullet\hss}}
\newcommand{\labelitemii}{$\circ$}
\newcommand{\labelitemiii}{\textasteriskcentered}
\newcommand{\labelitemiv}{\textperiodcentered}

\renewenvironment{itemize}
  {\ifnum \@itemdepth >\thr@@\@toodeep\else
   \advance\@itemdepth\@ne
   \edef\@itemitem{labelitem\romannumeral\the\@itemdepth}%
   \expandafter
   \list{\csname \@itemitem\endcsname}{% 
         \topsep\z@\partopsep\z@\parsep\z@\itemsep\z@
         \leftmargin\z@
         \labelwidth1zw
         \labelsep\z@
         \itemindent2zw
         \listparindent1zw
         \@nobreakfalse
         \def\makelabel##1{\leavevmode\hbox to 1zw{\hss ##1\hss}}%
   }%
   \fi}{\endlist}

\def\Itemize{%
 \ifnum \@itemdepth >3 \@toodeep\else
  \advance\@itemdepth \@ne
  \edef\@itemitem{labelitem\romannumeral\the\@itemdepth}%
  \list{\csname\@itemitem\endcsname}{%
        \topsep\z@\partopsep\z@\parsep\z@\itemsep\z@
        \leftmargin2zw
        \labelwidth1zw
        \labelsep\z@
        \itemindent\z@
        \listparindent1zw
        \@nobreakfalse
        \def\makelabel##1{\leavevmode\hbox to 1zw{\hss ##1\hss}}%
       }%
 \fi}
\let\endItemize\endlist

\def\descriptionlabel#1{%
  \setbox0\hbox{\bfseries #1}%
  \dimen0=\wd0 \dimen1=1zw
  \divide \dimen0 \dimen1
  \multiply \dimen0 \dimen1
  \ifdim \dimen0<\wd0 \advance \dimen0 \dimen1 \fi
  \hbox to \dimen0{\box0 \hfil}\hfil}

\def\description{%
 \list{}
      {%
       \topsep\z@\partopsep\z@\parsep\z@\itemsep\z@
       \labelwidth\leftmargin
       \labelsep1zw
       \listparindent1zw
       \advance \labelwidth -\labelsep
       \let\makelabel\descriptionlabel
       \@nobreakfalse
      }%
}
\let\enddescription\endlist

\newskip\@hlskip
\@hlskip=.5\baselineskip \@plus 1mm \@minus .5mm

\newenvironment{verse}
  {\let\\\@centercr
   \list{}{\itemsep\z@
           \topsep\@hlskip\partopsep\z@\parsep\z@
           \itemindent -1zw
           \listparindent\itemindent
           \rightmargin\leftmargin \advance\leftmargin 1zw}%
           \item\relax}{\endlist}

\newenvironment{quotation}
  {\list{}{\listparindent 1zw
           \itemindent\listparindent
           \rightmargin\leftmargin
           \topsep\@hlskip\partopsep\z@\parsep\z@\itemsep\z@
           }%
           \item\relax}{\endlist}

\newenvironment{quote}
  {\list{}{%
           \topsep\@hlskip\partopsep\z@\parsep\z@\itemsep\z@
           \rightmargin\leftmargin}%
           \item\relax}{\endlist}

\gdef\tabbing{\lineskip \z@skip\let\>\@rtab\let\<\@ltab\let\=\@settab
     \let\+\@tabplus\let\-\@tabminus\let\`\@tabrj\let\'\@tablab
     \let\\=\@tabcr
     \@hightab\@firsttab
     \global\@nxttabmar\@firsttab
     \dimen\@firsttab\@totalleftmargin
     \global\@tabpush\z@ \global\@rjfieldfalse
     \topsep\@hlskip\partopsep\z@\parsep\z@
     \trivlist \item\relax
     \if@minipage\else\vskip\parskip\fi
     \setbox\@tabfbox\hbox{%
       \rlap{\hskip\@totalleftmargin\indent\the\everypar}}%
     \def\@itemfudge{\box\@tabfbox}%
     \@startline\ignorespaces}

\newdimen\verbatimleftmargin
  \verbatimleftmargin\z@
\newdimen\verbatimbaselineskip
  \verbatimbaselineskip\baselineskip
\def\verbatimsize{\normalsize}

\def\@verbatim{%
 \topsep\z@\partopsep\z@\parsep\z@\itemsep\z@
 \trivlist \item\relax
  \if@minipage\else
   \vskip\baselineskip
   \vskip-\verbatimbaselineskip
%  \vskip\parskip
  \fi
  \leftskip\@totalleftmargin
  \if@minipage\else
   \advance \leftskip by \verbatimleftmargin
  \fi
  \rightskip\z@skip
  \parindent\z@\parfillskip\@flushglue\parskip\z@skip
  \@@par
  \@tempswafalse
  \def\par{%
    \if@tempswa
      \leavevmode \null \@@par\penalty\interlinepenalty
    \else
      \@tempswatrue
      \ifhmode\@@par\penalty\interlinepenalty\fi
    \fi}%
  \let\do\@makeother \dospecials
  \obeylines 
   \verbatimsize \baselineskip\verbatimbaselineskip
   \verbatim@font \@noligs
  \everypar \expandafter{\the\everypar \unpenalty}%
}

%% \def\verbatim@font{\normalfont\ttfamily}

\newcounter{figure}
\renewcommand{\thefigure}{\@arabic\c@figure}
\def\fps@figure{tbp}
\def\ftype@figure{1}
\def\ext@figure{lof}
\def\fnum@figure{\figurename\thefigure}
\newenvironment{figure}
               {\@floatenv\capwidth70mm\ecapwidth70mm
                \abovecaptionskip3pt\belowcaptionskip\z@\@float{figure}}
               {\end@float}
\newenvironment{figure*}
               {\@floatenv\capwidth130mm\ecapwidth130mm
                \abovecaptionskip3pt\belowcaptionskip\z@\@dblfloat{figure}}
               {\end@dblfloat}

\newcounter{table}
\renewcommand{\thetable}{\@arabic\c@table}
\def\fps@table{tbp}
\def\ftype@table{2}
\def\ext@table{lot}
\def\fnum@table{\tablename\thetable}
\newenvironment{table}
               {\@floatenv\capwidth70mm\ecapwidth70mm
                \abovecaptionskip\z@\belowcaptionskip3pt\@float{table}}
               {\end@float}
\newenvironment{table*}
               {\@floatenv\capwidth130mm\ecapwidth130mm
                \abovecaptionskip\z@\belowcaptionskip3pt\@dblfloat{table}}
               {\end@dblfloat}

\newcounter{photo}
\renewcommand{\thephoto}{\@arabic\c@photo}
\def\fps@photo{tbp}
\def\ftype@photo{4}
\def\ext@photo{lof}
\def\fnum@photo{\photoname\thephoto}
\newenvironment{photo}
               {\@floatenv\capwidth70mm\ecapwidth70mm
                \abovecaptionskip3pt\belowcaptionskip\z@\@float{photo}}
               {\end@float}
\newenvironment{photo*}
               {\@floatenv\capwidth130mm\ecapwidth130mm
                \abovecaptionskip3pt\belowcaptionskip\z@\@dblfloat{photo}}
               {\end@dblfloat}

\def\@floatboxreset {%
 \reset@font
 \footnotesize\tabcolsep.5zw
 \@setminipage
}

\def\@floatenv{\let\center\Center}

\def\Center{\topsep\z@\partopsep\z@\parsep\z@\itemsep\z@
 \trivlist \centering\item\relax}
\let\endCenter\endtrivlist

\long\def\@caption#1[#2]#3{\par
% \addcontentsline{\csname ext@#1\endcsname}{#1}%
%  {\protect\numberline{\csname the#1\endcsname}{\ignorespaces #2}}%
 \begingroup
  \@parboxrestore
  \if@minipage
   \@setminipage
  \fi
  \footnotesize
  \@makecaption{\csname fnum@#1\endcsname}{\ignorespaces #3}\par
 \endgroup}

\newdimen\abovecaptionskip
\newdimen\belowcaptionskip
\newdimen\capwidth
\newdimen\ecapwidth

\def\ite@shortstack{\@ifnextchar[% ]
 \@ite@shortstack{\@ite@shortstack[c]}}
\def\@ite@shortstack[#1]{%
  \leavevmode
  \vbox\bgroup
%    \baselineskip-\p@\lineskip 3\p@
    \let\mb@l\hss\let\mb@r\hss
    \expandafter\let\csname mb@#1\endcsname\relax
    \let\\\@stackcr
    \@ishortstack}

\long\def\@makecaption#1#2{%
 \vskip\abovecaptionskip
 \setbox\@tempboxa\hbox{{\bfseries #1}\hskip1zw\ite@shortstack[l]{#2}}%
 \@tempdima\ht\@tempboxa
 \advance \@tempdima \dp\@tempboxa
 \setbox\@tempboxb\hbox{\bfseries #1\hskip1zw}%
 \ifdim \@tempdima > \baselineskip
  \hfil\parbox[t]{\wd\@tempboxa}{\hangindent\wd\@tempboxb 
   {\bfseries #1}\hskip1zw #2}\par
  \nointerlineskip
  \vskip1.5mm
 \else
  \ifdim \wd\@tempboxa > \capwidth
   \hfil\parbox[t]{\capwidth}{\hangindent\wd\@tempboxb 
    {\bfseries #1}\hskip1zw #2}\par
   \nointerlineskip
   \vskip1.5mm
  \else
   \hbox to\hsize{\hss\box\@tempboxa\hss}%
  \fi
 \fi
}

\long\def\ecaption#1{%
 \footnotesize
 \setbox\@tempboxa\hbox{\ite@shortstack[l]{#1}}%
 \@tempdima\ht\@tempboxa \advance \@tempdima \dp\@tempboxa
 \ifdim \@tempdima > \baselineskip
  \hfil\parbox[t]{\wd\@tempboxa}{#1}\par
 \else
  \ifdim \wd\@tempboxa > \ecapwidth
   \hfil\parbox[t]{\ecapwidth}{#1}\par
  \else
   \hbox to\hsize{\hss\box\@tempboxa\hss}\par
  \fi
 \fi
 \vspace{\belowcaptionskip}%
}

\arraycolsep 5\p@
\tabcolsep .5zw
\arrayrulewidth .1mm
\doublerulesep .3mm
\tabbingsep\labelsep

\skip\@mpfootins = \skip\footins
\setlength\fboxsep{.5zw}
\setlength\fboxrule{.1mm}

\renewcommand{\theequation}{\@arabic\c@equation}

\if@enablejfam
  \if@compatibility\else
    \DeclareSymbolFont{mincho}{JY1}{mc}{m}{n}
    \DeclareSymbolFontAlphabet{\mathmc}{mincho}
    \SetSymbolFont{mincho}{bold}{JY1}{gt}{m}{n}
    \jfam\symmincho
    \DeclareMathAlphabet{\mathgt}{JY1}{gt}{m}{n}
  \fi
  \if@mathrmmc
    \AtBeginDocument{%
     \reDeclareMathAlphabet{\mathrm}{\mathrm}{\mathmc}
     \reDeclareMathAlphabet{\mathbf}{\mathbf}{\mathgt}
    }%
  \fi
\else
  \DeclareRobustCommand{\mathmc}{%
    \@latex@error{Command \noexpand\mathmc invalid with\space
       `disablejfam' class option.}\@eha
  }
  \DeclareRobustCommand{\mathgt}{%
    \@latex@error{Command \noexpand\mathgt invalid with\space
       `disablejfam' class option.}\@eha
  }
\fi

\DeclareOldFontCommand{\mc}{\normalfont\mcfamily}{\mathmc}
\DeclareOldFontCommand{\gt}{\normalfont\gtfamily}{\mathgt}
\DeclareOldFontCommand{\rm}{\normalfont\rmfamily}{\mathrm}
\DeclareOldFontCommand{\sf}{\normalfont\sffamily}{\mathsf}
\DeclareOldFontCommand{\tt}{\normalfont\ttfamily}{\mathtt}
\DeclareOldFontCommand{\bf}{\normalfont\bfseries}{\mathbf}
\DeclareOldFontCommand{\it}{\normalfont\itshape}{\mathit}
\DeclareOldFontCommand{\sl}{\normalfont\slshape}{\@nomath\sl}
\DeclareOldFontCommand{\sc}{\normalfont\scshape}{\@nomath\sc}
\DeclareRobustCommand*{\cal}{\@fontswitch\relax\mathcal}
\DeclareRobustCommand*{\mit}{\@fontswitch\relax\mathnormal}

\newdimen\bibindent
\setlength\bibindent{1.5em}
\newcommand{\newblock}{\hskip .11em\@plus.33em\@minus.07em}

\newenvironment{thebibliography}[1]
 {\jidorifalse
  \section*{\normalsize\bfseries\centering
    \inhibitglue k{\refname}l\inhibitglue}
  \footnotesize\baselineskip13\@Q
   \list{\@biblabel{\@arabic\c@enumiv}}%
        {\settowidth\labelwidth{\@biblabel{#1}}%
         \topsep\z@\partopsep\z@\parsep\z@\itemsep\z@
         \leftmargin\labelwidth
         \labelsep\z@
%         \advance\leftmargin\labelsep
         \@openbib@code
         \usecounter{enumiv}%
         \let\p@enumiv\@empty
         \renewcommand\theenumiv{\@arabic\c@enumiv}}%
   \sloppy
   \clubpenalty\z@
   \widowpenalty\z@
   \sfcode`\.\@m}
  {\def\@noitemerr
    {\@latex@warning{Empty `thebibliography' environment}}%
   \endlist}

\def\@biblabel#1{#1\hbox to 1zw{% i
 j\hss}}
\let\@openbib@code\@empty

\renewcommand{\footnoterule}{%
  \kern-3\p@
  \hrule height .1mm width \columnwidth
  \kern 2.715\p@}
\@addtoreset{footnote}{page}

\def\@makefnmark{% \hbox{$^{\@thefnmark}$}
 \hbox{\@textsuperscript{\normalfont\@thefnmark}}%
}

\newcommand\@makefntext[1]{%
 \everypar{\hangindent2zw}%
 \parindent2zw
 \noindent\hbox to 2zw{\hss $^{\@thefnmark}$\,}#1%
}

\def\thefootnote{\fnsymbol{footnote}}
\def\@fnsymbol#1{\ensuremath{%
 \ifcase#1 \or *\or {*}{*}\or {*}{*}{*}\or *4\or
  *5\or *6\or *7\or *8\or *9\or 10\or 11\or 12\else
  \@ctrerr\fi}}

\def\@eqnnum{{\normalfont \normalcolor (\theequation)\hskip1zw}}

\def\ite@InListEnv{%
 \ifdim\topsep=\z@
  \@listi
 \fi
}

%% from fleqn.clo
%%   /usr/local/teTeX/share/texmf/tex/latex/base/fleqn.clo
\ProvidesFile{fleqn.clo}
        [1998/08/17 v1.1c Standard LaTeX option
                                   (flush left equations)]
\newdimen\mathindent
\AtEndOfClass{\mathindent2zw}% 2zw
\renewcommand\[{\relax
                \ifmmode\@badmath
                \else
                  \ite@InListEnv
                  \begin{trivlist}%
                    \@beginparpenalty\predisplaypenalty
                    \@endparpenalty\postdisplaypenalty
                    \item[]\leavevmode
                    \hb@xt@\linewidth\bgroup $\m@th\displaystyle %$
                      \hskip\mathindent\bgroup
                \fi}
\renewcommand\]{\relax
                \ifmmode
                      \egroup $\hfil% $
                    \egroup
                  \end{trivlist}%
                \else \@badmath
                \fi}
\renewenvironment{equation}%
    {\@beginparpenalty\predisplaypenalty
     \@endparpenalty\postdisplaypenalty
     \refstepcounter{equation}%
     \ite@InListEnv
     \trivlist \item[]\leavevmode
       \hb@xt@\linewidth\bgroup $\m@th% $
         \displaystyle
         \hskip\mathindent}%
        {$\hfil % $
         \displaywidth\linewidth\hbox{\@eqnnum}%
       \egroup
     \endtrivlist}
\renewenvironment{eqnarray}{%
    \stepcounter{equation}%
    \def\@currentlabel{\p@equation\theequation}%
    \global\@eqnswtrue\m@th
    \global\@eqcnt\z@
    \tabskip\mathindent
    \let\\=\@eqncr
    \ite@InListEnv
    \setlength\abovedisplayskip{\topsep}%
    \ifvmode
      \addtolength\abovedisplayskip{\partopsep}%
    \fi
    \addtolength\abovedisplayskip{\parskip}%
    \setlength\belowdisplayskip{\abovedisplayskip}%
    \setlength\belowdisplayshortskip{\abovedisplayskip}%
    \setlength\abovedisplayshortskip{\abovedisplayskip}%
    $$\everycr{}\halign to\linewidth% $$
    \bgroup
      \hskip\@centering
      $\displaystyle\tabskip\z@skip{##}$\@eqnsel&%
      \global\@eqcnt\@ne \hskip.8\arraycolsep \hfil${##}$\hfil&%
      \global\@eqcnt\tw@ \hskip.8\arraycolsep
        $\displaystyle{##}$\hfil \tabskip\@centering&%
      \global\@eqcnt\thr@@
        \hb@xt@\z@\bgroup\hss##\egroup\tabskip\z@skip\cr}%
      {\@@eqncr
    \egroup
    \global\advance\c@equation\m@ne$$% $$
    \@ignoretrue
    }

\def\@begintheorem#1#2{%
 \topsep\z@\parsep\z@\partopsep\z@\itemsep\z@
 \leftmargin\z@
 \labelsep1zw
 \trivlist
   \item[\hskip\labelsep
    {\bfseries\hskip-.5zw m#1\if@english\ \fi#2n\hskip-.5zw}]}
\def\@opargbegintheorem#1#2#3{%
 \topsep\z@\parsep\z@\itemsep\z@\itemsep\z@
 \leftmargin\z@
 \labelsep1zw
 \trivlist
   \item[\hskip\labelsep
    {\bfseries\hskip-.5zw m#1\if@english\ \fi#2n\hskip-.5zw}%
     i#3j\hskip-.5zw]}
%\def\@endtheorem{\endtrivlist}
%\def\@thmcountersep{.}

\newif\if \false
\def\{\true}
\def\a{\false}
\newcount\heisei \heisei\year \advance\heisei-1988\relax
\def\today{{%
  \iftdir
    \if
      \kansuji\number\year N
      \kansuji\number\month 
      \kansuji\number\day 
    \else
      \ifnum\heisei=1 N\else\kansuji\number\heisei N\fi
      \kansuji\number\month 
      \kansuji\number\day 
    \fi
  \else
    \if
      \number\year~N
      \number\month~
      \number\day~
    \else
      \ifnum\heisei=1 N\else\number\heisei~N\fi
      \number\month~
      \number\day~
    \fi
  \fi}}

%\newcommand{\prepartname}{}
%\newcommand{\postpartname}{}
%\newcommand{\contentsname}{ }
%\newcommand{\listfigurename}{}  }
%\newcommand{\listtablename}{\  }
\if@english
 \newcommand{\refname}{References}
\else
 \newcommand{\refname}{\hskip2zw }
\fi
%\newcommand{\indexname}{ }

\if@english
 \newcommand{\figurename}{Fig.\,}
 \newcommand{\tablename}{Table~}
 \newcommand{\photoname}{Photo~}
\else
 \newcommand{\figurename}{}~}
 \newcommand{\tablename}{\~}
 \newcommand{\photoname}{ʐ^~}
\fi
\if@english
 \newcommand{\appendixname}{Appendix}
\else
 \newcommand{\appendixname}{t\hskip3zw ^}
\fi
%\newcommand{\abstractname}{T v}

%%% from "citesort.sty", a little customized
\newcount\@minsofar
\newcount\@min
\newcount\@cite@temp
\def\@citex[#1]#2{%
\if@filesw \immediate \write \@auxout {\string \citation {#2}}\fi
\@tempcntb\m@ne \let\@h@ld\relax \def\@citea{}%
\@min\m@ne%
\@cite{%
  \@for \@citeb:=#2\do {\@ifundefined {b@\@citeb}%
    {\@h@ld\@citea\@tempcntb\m@ne{\bfseries ?}%
    \@warning {Citation `\@citeb ' on page \thepage \space undefined}}%
{\@minsofar\z@ \@for \@scan@cites:=#2\do {%
  \@ifundefined{b@\@scan@cites}%
    {\@cite@temp\m@ne}
    {\@cite@temp\number\csname b@\@scan@cites \endcsname \relax}%
\ifnum\@cite@temp > \@min% select the next one to list
    \ifnum\@minsofar = \z@
      \@minsofar\number\@cite@temp
      \edef\@scan@copy{\@scan@cites}\else
    \ifnum\@cite@temp < \@minsofar
      \@minsofar\number\@cite@temp
      \edef\@scan@copy{\@scan@cites}\fi\fi\fi}\@tempcnta\@min
  \ifnum\@minsofar > \z@ % some more
    \advance\@tempcnta\@ne
    \@min\@minsofar
    \ifnum\@tempcnta=\@minsofar %   Number follows previous--hold on to it
      \ifx\@h@ld\relax
        \edef \@h@ld{\@citea\csname b@\@scan@copy\endcsname}%
      \else
       \edef\@h@ld{\ifmmode{% (
        )`}\else{% (
         )`}\fi\csname b@\@scan@copy\endcsname}%
      \fi
    \else \@h@ld\@citea\csname b@\@scan@copy\endcsname
          \let\@h@ld\relax
  \fi % no more
\fi}%
\def\@citea{%(
 )\penalty\@highpenalty}}\@h@ld}{#1}}
%% end of citesort.sty

%%% from "cite.sty", a little customized
\def\@cite#1#2{\leavevmode\unskip
  \ifnum\lastpenalty=\z@\penalty\@M\fi% highpenalty before
  \kern\z@
  \smash{%
  $^{\mbox{\normalfont\tiny
     {\multiply\@highpenalty 3 #1% % triple-highpenalties within
      \if@tempswa,\penalty\@highpenalty\ #2\fi % and before note.%(
    })}}$}\spacefactor\@m}
%%% end of cite.sty

\let\org@cite\@cite
\def\cite{\@ifnextchar[% ]
 {\@tempswatrue\let\@cite\org@cite\@citex}
 {\@tempswafalse\let\@cite\org@cite\@citex[]}}
\def\Cite{\@ifnextchar[% ]
 {\@tempswatrue\let\@cite\@Cite\@citex}
 {\@tempswafalse\let\@cite\@Cite\@citex[]}}

\def\@Cite#1#2{\leavevmode\unskip
  \ifnum\lastpenalty=\z@\penalty\@highpenalty\fi% highpenalty before
  {\multiply\@highpenalty 3 #1%             % triple-highpenalties within
      \if@tempswa,\penalty\@highpenalty\ #2\fi % and before note.%(
    })\spacefactor\@m}


\newcount\@Float@temp
\if@english
 \def\Fig{\@Ref{Fig}}
 \def\Figure{\@Refnp{Figure}}
 \def\Table{\@Refnp{Table}}
 \def\Photo{\@Refnp{Photo}}

 \def\appFig{\@Refapp{Fig}}
 \def\appFigure{\@Refnpapp{Figure}}
 \def\appTable{\@Refnpapp{Table}}
 \def\appPhoto{\@Refnpapp{Photo}}

 \def\@Ref#1{\gdef\R@f{#1}%
  \gdef\@Reftype{#1.\,}\gdef\@Reftypes{#1s.\,}%
  \@Reffloat}

 \def\@Refnp#1{\def\@Temp{#1}\def\@@Temp{Figure}%
  \ifx\@Temp\@@Temp\gdef\R@f{Fig}\else\gdef\R@f{#1}\fi
  \gdef\@Reftype{#1\ }\gdef\@Reftypes{#1s\ }%
  \@Reffloat}

 \def\@Refapp#1{\gdef\R@f{#1app}%
  \gdef\@Reftype{app.#1.\,}\gdef\@Reftypes{app.#1s.\,}%
  \@Reffloat}

 \def\@Refnpapp#1{\def\@Temp{#1}\def\@@Temp{Figure}%
  \ifx\@Temp\@@Temp\gdef\R@f{Figapp}\else\gdef\R@f{#1app}\fi
  \gdef\@Reftype{app.#1\ }\gdef\@Reftypes{app.#1s\ }%
  \@Reffloat}

 \def\@Reftype{}
 \def\@Reftypes{}
\else
 \def\Fig{\@Ref{}}}
 \def\Table{\@Ref{\}}
 \def\Photo{\@Ref{ʐ^}}

 \def\appFig{\@Refapp{}}}
 \def\appTable{\@Refapp{\}}
 \def\appPhoto{\@Refapp{ʐ^}}

 \def\@Ref#1{\gdef\R@f{#1}%
  \gdef\@Reftype{#1}%
  \@Reffloat}

 \def\@Refapp#1{\gdef\R@f{#1app}%
  \gdef\@Reftype{t\hbox to .5zw{\hss E\hss}#1}%
  \@Reffloat}
\fi

%%% following definition is based on citesort.sty.
\def\@Reffloat#1{\leavevmode
 \@tempcnta\z@
 \@for\count@Float:=#1\do{%
  \advance \@tempcnta by \@ne
  \@ifundefined{bf@\count@Float}%
   {\expandafter\def\csname bf@\count@Float\endcsname{}\def\@BorR{\bfseries }}%
   {\def\@BorR{\relax}}%
 }%
 \if@english
  \ifnum \@tempcnta > \@ne%
   {\@BorR \@Reftypes}%
  \else
   {\@BorR \@Reftype}%
  \fi
 \else
  {\@BorR \@Reftype}%
 \fi
 %%
 \@tempcntb\m@ne \let\@h@ld\relax \def\@Floata{}%
 \@min\m@ne
 \@for\@Float:=#1\do{\@ifundefined{r@\@Float}{\@tempcntb\m@ne{\bfseries ?}}%
  {\@minsofar\z@ \@for\@scan@Floats:=#1\do{%
   \@ifundefined{r@\@scan@Floats}{\@Float@temp\m@ne}%
    {\edef\@tempa{\@nameuse{r@\@scan@Floats}}%
     \edef\num@Float{\expandafter\@car\@tempa \@nil}%
     \@Float@temp\num@Float \relax}%
    \ifnum\@Float@temp > \@min
     \ifnum\@minsofar = \z@
      \@minsofar\number\@Float@temp
      \edef\@scan@copy{\@scan@Floats}% 
     \else
      \ifnum\@Float@temp < \@minsofar
      \@minsofar\number\@Float@temp
      \edef\@scan@copy{\@scan@Floats}%
      \fi
     \fi
    \fi}%
  \@tempcnta\@min
  \ifnum\@minsofar > \z@
   \advance\@tempcnta\@ne
   \@min\@minsofar
    \ifnum\@tempcnta=\@minsofar
     \ifx\@h@ld\relax
      \edef\@tempa{\@nameuse{r@\@scan@copy}}%
       \edef\num@Float{\expandafter\@car\@tempa \@nil}%
        \@ifundefined{Float@\R@f\num@Float}%
         {\expandafter\gdef\csname Float@\R@f\num@Float\endcsname{}%
        \let\oldnum@Float=\num@Float
        \def\num@Float{{\noexpand\bfseries \oldnum@Float}}}{\relax}%
        \edef\@h@ld{\@Floata\num@Float}%
     \else
      \edef\@tempa{\@nameuse{r@\@scan@copy}}%
       \edef\num@Float{\expandafter\@car\@tempa \@nil}%
        \@ifundefined{Float@\R@f\num@Float}%
         {\expandafter\gdef\csname Float@\R@f\num@Float\endcsname{}%
        \let\oldnum@Float=\num@Float
        \def\num@Float{{\noexpand\bfseries \oldnum@Float}}}{\relax}%
        \edef\@h@ld{\if@english --\else{}`\fi\num@Float}%
     \fi
    \else
     \edef\@tempa{\@nameuse{r@\@scan@copy}}%
      \edef\num@Float{\expandafter\@car\@tempa \@nil}%
       \@ifundefined{Float@\R@f\num@Float}%
        {\expandafter\gdef\csname Float@\R@f\num@Float\endcsname{}%
       \let\oldnum@Float=\num@Float
       \edef\num@Float{{\noexpand\bfseries \oldnum@Float}}}{\relax}%
       \@h@ld\@Floata\num@Float
     \let\@h@ld\relax
    \fi
  \fi
  }%
  \def\@Floata{\if@english, \else{}C\fi}%
 }%
 \@h@ld}

\def\biography{\par
 \pagebreak[2]%
 \vskip2\baselineskip\vspace*{-\baselineskip}\vskip\baselineskip
 \vskip-\topskip
 \hrule height.1mm
 \nointerlineskip
 \vskip1.5mm
 \nopagebreak}

\def\endbiography{\par
 \nopagebreak
 \hrule height.1mm
}

\def\four@ruby#1 #2 #3 #4\@nil{%
 \def\ruby@i{#1}\def\ruby@ii{#2}%
 \def\ruby@iii{#3}\def\ruby@iv{#4}%
}
\def\four@name#1 #2 #3 #4\@nil{%
 \noexpand\ruby{#1}{\ruby@i}\noexpand\ruby{#2}{\ruby@ii}%
 \noexpand\ruby{#3}{\ruby@iii}\noexpand\ruby{#4}{\ruby@iv}%
}
\def\three@ruby#1 #2 #3\@nil{%
 \def\ruby@i{#1}\def\ruby@ii{#2}%
 \def\ruby@iii{#3}%
}
\def\three@name#1 #2 #3\@nil{%
 \noexpand\ruby{#1}{\ruby@i}\noexpand\ruby{#2}{\ruby@ii}%
 \noexpand\ruby{#3}{\ruby@iii}%
}
\def\two@ruby#1 #2\@nil{%
 \def\ruby@i{#1}\def\ruby@ii{#2}%
}
\def\two@name#1 #2\@nil{%
 \noexpand\ruby{#1}{\ruby@i}\noexpand\ruby{#2}{\ruby@ii}%
}

\newif\ifbad@ruby
\def\@rubycheck#1{%
 \@tempdima\wd\@tempboxa
 \setbox\@tempboxb\hbox{\spaceskip100mm #1}%
 \ifdim\wd\@tempboxb=\@tempdima
  \bad@rubyfalse
 \else
  \ifdim\wd\@tempboxb>.9999\@tempdima %% case 
   \bad@rubyfalse
  \else
   \ite@warning{Check spaces between characters in \string\profile\space "#1"}
   \bad@rubytrue
  \fi
 \fi
}

\newdimen\@profilenamesep\@profilenamesep\z@
\def\profilenamesep#1{\@profilenamesep#1}
\def\profile@font{\bfseries\fontsize{10.95}{\f@baselineskip}\selectfont}
\newcount\c@profile

\newif\ifkchar@name

%% \profile{f }[ ]{ Y}[ 낤]{19xx ND...}
%% \profile{Yahya}[]{Aydin}[]
\long\def\profile#1[#2]#3[#4]#5{%
 \advance \c@profile \@ne
 \if@english
  \def\@FN{#1}%
  \def\@LN{#3}%
  \@namesep1ex
 \else
  \chk@name{#1}%
  \setbox\@tempboxa\hbox{\get@oneword}%
  \ifdim \wd\@tempboxa<1zw
   \kchar@namefalse
  \else
   \kchar@nametrue
  \fi
  \ifkchar@name
   \setbox\@tempboxa\hbox{\spaceskip100mm #1}%
   \ifdim\wd\@tempboxa>400mm
    \def\@FN{\ruby{#1}{#2}}%
   \else
    \ifdim\wd\@tempboxa>300mm
     \@rubycheck{#2}%
     \ifbad@ruby\def\@FN{\ruby{#1}{#2}}\else
      \four@ruby #2\@nil\edef\@FN{\four@name #1\@nil}\fi
    \else
     \ifdim\wd\@tempboxa>200mm
      \@rubycheck{#2}%
      \ifbad@ruby\def\@FN{\ruby{#1}{#2}}\else
       \three@ruby #2\@nil\edef\@FN{\three@name #1\@nil}\fi
     \else
      \ifdim\wd\@tempboxa>100mm
       \@rubycheck{#2}%
       \ifbad@ruby\def\@FN{\ruby{#1}{#2}}\else
        \two@ruby #2\@nil\edef\@FN{\two@name #1\@nil}\fi
      \else
       \def\@FN{\ruby{#1}{#2}}%
      \fi
     \fi
    \fi
   \fi
   \setbox\@tempboxa\hbox{\spaceskip100mm #3}%
   \ifdim\wd\@tempboxa>400mm
    \def\@LN{\ruby{#3}{#4}}%
   \else
    \ifdim\wd\@tempboxa>300mm
     \@rubycheck{#4}%
     \ifbad@ruby\def\@LN{\ruby{#3}{#4}}\else
      \four@ruby #4\@nil\edef\@LN{\four@name #3\@nil}\fi
    \else
     \ifdim\wd\@tempboxa>200mm
      \@rubycheck{#4}%
      \ifbad@ruby\def\@LN{\ruby{#3}{#4}}\else
       \three@ruby #4\@nil\edef\@LN{\three@name #3\@nil}\fi
     \else
      \ifdim\wd\@tempboxa>100mm
       \@rubycheck{#4}%
       \ifbad@ruby\def\@LN{\ruby{#3}{#4}}\else
        \two@ruby #4\@nil\edef\@LN{\two@name #3\@nil}\fi
      \else
       \def\@LN{\ruby{#3}{#4}}%
      \fi
     \fi
    \fi
   \fi
   \setbox\@tempboxb\hbox{#1#3}%
   \ifdim\wd\@tempboxb>4.9zw\@namesep\z@\else
    \ifdim\wd\@tempboxb>3.9zw\@namesep3.75mm\else
     \ifdim\wd\@tempboxb>2.9zw\@namesep7.5mm\else
      \ifdim\wd\@tempboxb>1.9zw\@namesep11.25mm\else
   \fi\fi\fi\fi
  \else
   \def\@FN{\ruby{#1}{#2}}%
   \def\@LN{\ruby{#3}{#4}}%
   \@namesep1ex
  \fi
 \fi
 %%
 \parindent\z@
 \if@english\@tempdima17.75mm\else\@tempdima16mm\fi
 \leavevmode\lower\@tempdima\hbox{\profile@box}%
 \hfill
 \begin{minipage}[t]{62.5mm}
  \ifdim\@profilenamesep=\z@
   \@profilenamesep\@namesep
  \fi
  \footnotesize\baselineskip12\@Q
  \leavevmode\lower.25mm\hbox{\profile@font \@FN\hskip\@profilenamesep\@LN}%
   \hskip1.5mm #5\par
 \end{minipage}\par
 \nointerlineskip
 \vskip1.5mm
}

% epst@Ĉݎ󂯕tB̕sv폜@2015.04.22
%\ifx\pdfpageheight\@undefined
 \def\ite@in@ext{eps}
%\else
% \def\ite@in@ext{pdf}
%\fi

% ProfileɎʐ^𒣂ۂ̈ʒu@2015.04.22
\def\profile@box{%
 \IfFileExists{a\the\c@profile.\ite@in@ext}%
%  {\lower3.5mm\hbox{%
  {\lower.25mm\hbox{%
   \resizebox{18mm}{!}{\includegraphics{a\the\c@profile.\ite@in@ext}}}}%
  {\line@p@box}%
}

\def\line@p@box{%
 \begin{minipage}[t]{18mm}%
  \vbox{%
   \hrule height .1mm
    \hbox to 18mm{%
     \vrule width.1mm height 20mm
      \hss
     \vrule width.1mm height 20mm
    }%
   \hrule height .1mm
  }%
 \end{minipage}%
}

\postbreakpenalty`i=10000
\prebreakpenalty`j=10000
\postbreakpenalty`m=10000
\prebreakpenalty`n=10000
\postbreakpenalty`q=10000
\prebreakpenalty`r=10000
\prebreakpenalty`"=10000
\prebreakpenalty`=10000
\prebreakpenalty`@=10000
\prebreakpenalty`E=10000
\prebreakpenalty``=10000
\prebreakpenalty`[=10000
\prebreakpenalty`H=10000
\prebreakpenalty`I=10000
\postbreakpenalty"5C=10000
\postbreakpenalty`y=10000
\prebreakpenalty`z=10000
\postbreakpenalty`k=10000
\prebreakpenalty`l=10000
\postbreakpenalty`w=10000
\prebreakpenalty`x=10000

%%% <local definitions>
\def\onelineskip{\par\vspace{1\baselineskip}\par}
\def\halflineskip{\par\vspace{.5\baselineskip}\par}

\def\ddash{\penalty\@M\leavevmode
 \setbox0\hbox{------}%
 \ifdim\wd0>2zw
  \raise.1zh\hbox to 2zw{---\hss ---}%
 \else
  \raise.1zh\hbox to 2zw{\hss ---\kern-.01ex ---\hss}%
 \fi
}
\def\zdash{\penalty\@M\leavevmode\raise.1zh\hbox{---}}
\def\hdash{\penalty\@M\leavevmode\raise.1zh\hbox{--}}
\def\MARU#1{\raisebox{0.1zh}%
 {{\normalfont\ooalign{\hfil\lower.168ex\hbox{#1}\hfil\crcr\mathhexbox20D}}}}
\def\FRAC#1#2{\leavevmode\kern-.1em
  \raise.5ex\hbox{\the\scriptfont0 #1}\kern-.1em
  /\kern-.15em\lower.25ex\hbox{\the\scriptfont0 #2}}
\def\kintou#1#2{%
 \leavevmode\hbox to #1{%
  \kanjiskip\z@ plus 1fill minus 1fill\xkanjiskip\kanjiskip #2\hfil}}
\def\ruby#1#2{\leavevmode \setbox0=\hbox{#1}\setbox1=\hbox{\tiny #2}%
 \ifdim\wd0>\wd1 \dimen0=\wd0 \else \dimen0=\wd1 \fi
 \leavevmode
 \smash{\hbox{\kanjiskip=\fill
 \vbox{\hbox to \dimen0{\tiny \hfil#2\hfil}%
  \nointerlineskip \hbox to \dimen0{\hfil#1\hfil}}}}}
\def\RN#1{\uppercase\expandafter{\romannumeral#1}}
\def\QED{{\unskip\nobreak\hfil\penalty50
 \hskip1zw\hbox{}\nobreak\hfil \hbox{$\Box$\hskip1zw}
 \parfillskip\z@ \finalhyphendemerits\z@\par}}

\def\leq{\mathrel{\mathpalette\gl@align<}} \let\le\leq
\def\geq{\mathrel{\mathpalette\gl@align>}} \let\ge\geq
\def\gl@align#1#2{\lower.6ex\vbox{\baselineskip\z@skip\lineskip\z@
 \ialign{$\m@th#1\hfil##\hfil$\crcr#2\crcr=\crcr}}}
\def\neq{\mathrel{\mathpalette\c@ncelass=}}
\def\c@ncelass#1#2{\ooalign{$\hfil#1\mkern-.4mu|\hfil$\crcr$#1#2$}}
\let\ne\neq
%%% </local definitions>

\def\sloppy{\tolerance9999\hbadness9999\hfuzz.5\p@ \vfuzz.5\p@}
\hbadness4000
\vbadness10001
\tolerance4000 \pretolerance\m@ne
\clubpenalty\z@
\widowpenalty\z@

\AtBeginDocument{%
 \displaywidowpenalty\z@
 \interdisplaylinepenalty\z@
 \predisplaypenalty\z@
 \postdisplaypenalty\z@
 %%% amsmath
 \@ifundefined{maketag@@@}{}
  {%
   \@mathmargin2zw \@plus\z@ \@minus\z@
   \multlinegap2zw
   \def\maketag@@@#1{\hbox{\m@th\normalfont #1}\hskip1zw}%
   \def\eqref#1{\textup{\tagform@{\ref{#1}}\unskip}}%
  }%
 %%% here.sty
 \@ifundefined{@HHfloat}{}{%
  \def\@HHfloat#1[H]{%
   \expandafter\let\csname end#1\endcsname\end@Hfloat
   \vskip\intextsep
   \vbox\bgroup\def\@captype{#1}\parindent\z@
   \@floatboxreset %% added
   \ignorespaces}%
  \def\end@Hfloat{\egroup\vskip-1zh %% added
   \vskip \intextsep}%
 }%
 %%% gray scale
 \@ifundefined{definecolor}{%
  \let\textcolor\@gobbletwo
  \ite@warning{color package is required.^^J
   \string\usepackage[usenames]\string{color\string}}
 }{\definecolor{headgray}{gray}{0.7}}%
}

\AtEndDocument{%
 %%% label of lastpage
 \clearpage
 \addtocounter{page}{-1}%
 \immediate\write\@auxout
  {\string\newlabel{ite@lastpage}{{}{\thepage}}}%
 %\addtocounter{page}{1}%
}

\pagestyle{ITE}
\pagenumbering{arabic}
\raggedbottom
\if@twocolumn
 \twocolumn
 \sloppy
 \flushbottom
\else
 \onecolumn
\fi
\if@twoside
  \@mparswitchtrue
\else
  \@mparswitchfalse
\fi

\endinput
